=== modified file '.bzrignore'
--- .bzrignore	2009-04-15 20:19:20 +0000
+++ .bzrignore	2009-04-26 00:50:57 +0000
@@ -74,7 +74,6 @@
 server/drizzled_safe
 server/gen_lex_hash
 server/lex_hash.h
-server/sql_builtin.cc
 server/sql_yacc.cc
 server/sql_yacc.h
 server/sql_yacc.output
@@ -264,3 +263,5 @@
 xid.gcno
 *.orig
 m4/bzr_version.m4
+config/plugin.ac
+config/plugin.am

=== modified file 'Makefile.am'
--- Makefile.am	2009-04-25 19:58:14 +0000
+++ Makefile.am	2009-04-26 16:53:32 +0000
@@ -1,18 +1,17 @@
-# test
-# # Copyright (C) 2000-2006 MySQL AB
-# 
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
 ACLOCAL_AMFLAGS = -I m4 --force
 
@@ -25,28 +24,56 @@
 	  gnulib \
 	  drizzled/message \
 	  . \
-	  storage \
-	  plugin \
-	  drizzled \
 	  tests \
 	  support-files
 
-BUILT_SOURCES=		drizzled/configmake.h
-EXTRA_DIST=		config/config.rpath m4/gnulib-cache.m4
-CLEANFILES=		${BUILT_SOURCES}
-DISTCLEANFILES=		ac_available_languages_fragment
-MAINTAINERCLEANFILES=	autom4te.cache
+AM_YFLAGS = -p DRIZZLE -d --verbose
+
+BUILT_MAINT_SRC = drizzled/sql_yacc.cc \
+		  drizzled/sql_yacc.h
+BUILT_SOURCES = $(BUILT_MAINT_SRC) \
+		drizzled/configmake.h \
+		drizzled/symbol_hash.h \
+		drizzled/function_hash.h
+
+EXTRA_DIST=	config/config.rpath m4/gnulib-cache.m4 \
+		config/plugin.ac config/plugin.am \
+		$(BUILT_MAINT_SRC) \
+		drizzled/symbol_hash.gperf \
+		drizzled/function_hash.gperf \
+		drizzled/message.mc \
+		drizzled/probes.d
+
+CLEANFILES=	${BUILT_SOURCES}
+		drizzled/configmake.h \
+		drizzled/function_hash.h \
+		drizzled/function_hash.stamp-h \
+		drizzled/sql_yacc.output \
+		drizzled/symbol_hash.h \
+		drizzled/symbol_hash.stamp-h
+
+DISTCLEANFILES=	ac_available_languages_fragment \
+		$(EXTRA_PROGRAMS) \
+		$(BUILT_MAINT_SRC)
+MAINTAINERCLEANFILES=	autom4te.cache $(BUILT_MAINT_SRC)
 
 CLIENT_LDADD=		mysys/libmysys.la \
 			mystrings/libmystrings.la \
 			$(LIBDRIZZLE) $(LIBINTL) $(LIBZ) \
 			client/libgetpassword.la
 
+
+sbin_PROGRAMS= drizzled/drizzled
+
+
 noinst_LTLIBRARIES= \
 		client/libgetpassword.la \
+		drizzled/libhandler.la \
+		drizzled/libserialutil.la \
 		mysys/libmysys.la \
 		mystrings/libmystrings.la
 
+noinst_PROGRAMS=
 nobase_bin_PROGRAMS= \
 		client/drizzle \
 		client/drizzlecheck \
@@ -67,6 +94,11 @@
 		client/get_password.h \
 		client/my_readline.h \
 		drizzled/configmake.h \
+		drizzled/gettext.h \
+		drizzled/global.h \
+		drizzled/server_includes.h \
+		drizzled/util/convert.h \
+		drizzled/util/test.h \
 		mystrings/decimal.h \
 		mystrings/m_ctype.h \
 		mystrings/m_string.h \
@@ -200,6 +232,614 @@
 		$(top_builddir)/mystrings/libmystrings.la \
 		$(LIBINTL)
 
+EXTRA_LTLIBRARIES=
+pkgplugin_LTLIBRARIES=
+
+
+
+DTRACEFILES = drizzled/handler.o \
+	      drizzled/filesort.o \
+	      drizzled/sql_delete.o \
+	      drizzled/sql_insert.o \
+	      drizzled/sql_select.o \
+	      drizzled/sql_update.o
+
+drizzledincludedir = ${includedir}/drizzled
+nobase_dist_drizzledinclude_HEADERS = \
+		drizzled/alter_column.h \
+		drizzled/alter_drop.h \
+		drizzled/atomic/gcc_traits.h \
+		drizzled/atomic/pthread_traits.h \
+		drizzled/atomic/sun_studio.h \
+		drizzled/atomics.h \
+		drizzled/authentication.h \
+		drizzled/base.h \
+		drizzled/cached_item.h \
+		drizzled/calendar.h \
+		drizzled/check_stack_overrun.h \
+		drizzled/common.h \
+		drizzled/comp_creator.h \
+		drizzled/connect.h \
+		drizzled/cost_vect.h \
+		drizzled/current_session.h \
+		drizzled/data_home.h \
+		drizzled/db.h \
+		drizzled/definitions.h \
+		drizzled/diagnostics_area.h \
+		drizzled/discrete_interval.h \
+		drizzled/dtcollation.h \
+		drizzled/errmsg.h \
+		drizzled/errmsg_print.h \
+		drizzled/error.h \
+		drizzled/error_injection.h \
+		drizzled/field.h \
+		drizzled/field/blob.h \
+		drizzled/field/date.h \
+		drizzled/field/datetime.h \
+		drizzled/field/decimal.h \
+		drizzled/field/double.h \
+		drizzled/field/enum.h \
+		drizzled/field/int64_t.h \
+		drizzled/field/long.h \
+		drizzled/field/longstr.h \
+		drizzled/field/null.h \
+		drizzled/field/num.h \
+		drizzled/field/real.h \
+		drizzled/field/str.h \
+		drizzled/field/timestamp.h \
+		drizzled/field/varstring.h \
+		drizzled/field_iterator.h \
+		drizzled/file_exchange.h \
+		drizzled/filesort_info.h \
+		drizzled/foreign_key.h \
+		drizzled/function/additive_op.h \
+		drizzled/function/ascii.h \
+		drizzled/function/benchmark.h \
+		drizzled/function/bit.h \
+		drizzled/function/bit_count.h \
+		drizzled/function/bit_length.h \
+		drizzled/function/char_length.h \
+		drizzled/function/coercibility.h \
+		drizzled/function/connection_id.h \
+		drizzled/function/create.h \
+		drizzled/function/field.h \
+		drizzled/function/find_in_set.h \
+		drizzled/function/found_rows.h \
+		drizzled/function/func.h \
+		drizzled/function/get_system_var.h \
+		drizzled/function/get_user_var.h \
+		drizzled/function/last_insert.h \
+		drizzled/function/length.h \
+		drizzled/function/locate.h \
+		drizzled/function/math/abs.h \
+		drizzled/function/math/acos.h \
+		drizzled/function/math/asin.h \
+		drizzled/function/math/atan.h \
+		drizzled/function/math/ceiling.h \
+		drizzled/function/math/cos.h \
+		drizzled/function/math/dec.h \
+		drizzled/function/math/decimal_typecast.h \
+		drizzled/function/math/divide.h \
+		drizzled/function/math/exp.h \
+		drizzled/function/math/floor.h \
+		drizzled/function/math/int.h \
+		drizzled/function/math/int_divide.h \
+		drizzled/function/math/int_val.h \
+		drizzled/function/math/integer.h \
+		drizzled/function/math/ln.h \
+		drizzled/function/math/log.h \
+		drizzled/function/math/minus.h \
+		drizzled/function/math/mod.h \
+		drizzled/function/math/multiply.h \
+		drizzled/function/math/neg.h \
+		drizzled/function/math/ord.h \
+		drizzled/function/math/plus.h \
+		drizzled/function/math/pow.h \
+		drizzled/function/math/rand.h \
+		drizzled/function/math/real.h \
+		drizzled/function/math/round.h \
+		drizzled/function/math/sin.h \
+		drizzled/function/math/sqrt.h \
+		drizzled/function/math/tan.h \
+		drizzled/function/min_max.h \
+		drizzled/function/num1.h \
+		drizzled/function/num_op.h \
+		drizzled/function/numhybrid.h \
+		drizzled/function/rollup_const.h \
+		drizzled/function/row_count.h \
+		drizzled/function/set_user_var.h \
+		drizzled/function/sign.h \
+		drizzled/function/signed.h \
+		drizzled/function/str/alloc_buffer.h \
+		drizzled/function/str/binary.h \
+		drizzled/function/str/char.h \
+		drizzled/function/str/charset.h \
+		drizzled/function/str/collation.h \
+		drizzled/function/str/concat.h \
+		drizzled/function/str/conv.h \
+		drizzled/function/str/conv_charset.h \
+		drizzled/function/str/database.h \
+		drizzled/function/str/elt.h \
+		drizzled/function/str/export_set.h \
+		drizzled/function/str/format.h \
+		drizzled/function/str/hex.h \
+		drizzled/function/str/insert.h \
+		drizzled/function/str/left.h \
+		drizzled/function/str/load_file.h \
+		drizzled/function/str/make_set.h \
+		drizzled/function/str/pad.h \
+		drizzled/function/str/quote.h \
+		drizzled/function/str/repeat.h \
+		drizzled/function/str/replace.h \
+		drizzled/function/str/reverse.h \
+		drizzled/function/str/right.h \
+		drizzled/function/str/set_collation.h \
+		drizzled/function/str/str_conv.h \
+		drizzled/function/str/strfunc.h \
+		drizzled/function/str/substr.h \
+		drizzled/function/str/sysconst.h \
+		drizzled/function/str/trim.h \
+		drizzled/function/str/user.h \
+		drizzled/function/str/uuid.h \
+		drizzled/function/str/weight_string.h \
+		drizzled/function/time/curdate.h \
+		drizzled/function/time/date.h \
+		drizzled/function/time/date_add_interval.h \
+		drizzled/function/time/date_format.h \
+		drizzled/function/time/dayname.h \
+		drizzled/function/time/dayofmonth.h \
+		drizzled/function/time/dayofyear.h \
+		drizzled/function/time/extract.h \
+		drizzled/function/time/from_days.h \
+		drizzled/function/time/from_unixtime.h \
+		drizzled/function/time/get_interval_value.h \
+		drizzled/function/time/hour.h \
+		drizzled/function/time/last_day.h \
+		drizzled/function/time/makedate.h \
+		drizzled/function/time/microsecond.h \
+		drizzled/function/time/minute.h \
+		drizzled/function/time/month.h \
+		drizzled/function/time/now.h \
+		drizzled/function/time/period_add.h \
+		drizzled/function/time/period_diff.h \
+		drizzled/function/time/quarter.h \
+		drizzled/function/time/second.h \
+		drizzled/function/time/sysdate_local.h \
+		drizzled/function/time/timestamp_diff.h \
+		drizzled/function/time/to_days.h \
+		drizzled/function/time/typecast.h \
+		drizzled/function/time/unix_timestamp.h \
+		drizzled/function/time/weekday.h \
+		drizzled/function/time/year.h  \
+		drizzled/function/units.h \
+		drizzled/function/unsigned.h \
+		drizzled/function/update_hash.h \
+		drizzled/function/user_var_as_out_param.h \
+		drizzled/function_hash.h \
+		drizzled/ha_statistics.h \
+		drizzled/ha_trx_info.h \
+		drizzled/handler.h \
+		drizzled/handler_structs.h \
+		drizzled/hybrid_type.h \
+		drizzled/hybrid_type_traits.h \
+		drizzled/hybrid_type_traits_decimal.h \
+		drizzled/hybrid_type_traits_integer.h \
+		drizzled/index_hint.h \
+		drizzled/internal_error_handler.h \
+		drizzled/item.h \
+		drizzled/item/basic_constant.h \
+		drizzled/item/bin_string.h \
+		drizzled/item/blob.h \
+		drizzled/item/cache.h \
+		drizzled/item/cache_decimal.h \
+		drizzled/item/cache_int.h \
+		drizzled/item/cache_real.h \
+		drizzled/item/cache_row.h \
+		drizzled/item/cache_str.h \
+		drizzled/item/cmpfunc.h \
+		drizzled/item/copy_string.h \
+		drizzled/item/create.h \
+		drizzled/item/decimal.h \
+		drizzled/item/direct_ref.h \
+		drizzled/item/empty_string.h \
+		drizzled/item/field.h \
+		drizzled/item/float.h \
+		drizzled/item/func.h \
+		drizzled/item/hex_string.h \
+		drizzled/item/ident.h \
+		drizzled/item/insert_value.h \
+		drizzled/item/int.h \
+		drizzled/item/int_with_ref.h \
+		drizzled/item/null.h \
+		drizzled/item/num.h \
+		drizzled/item/outer_ref.h \
+		drizzled/item/param.h \
+		drizzled/item/ref.h \
+		drizzled/item/ref_null_helper.h \
+		drizzled/item/return_date_time.h \
+		drizzled/item/return_int.h \
+		drizzled/item/row.h \
+		drizzled/item/string.h \
+		drizzled/item/subselect.h \
+		drizzled/item/sum.h \
+		drizzled/item/type_holder.h \
+		drizzled/item/uint.h \
+		drizzled/key.h \
+		drizzled/key_map.h \
+		drizzled/key_part_spec.h \
+		drizzled/korr.h \
+		drizzled/lex_column.h \
+		drizzled/lex_string.h \
+		drizzled/lex_symbol.h \
+		drizzled/lock.h \
+		drizzled/logging.h \
+		drizzled/lookup_symbol.h \
+		drizzled/multi_delete.h \
+		drizzled/multi_update.h \
+		drizzled/my_decimal.h\
+		drizzled/my_var.h \
+		drizzled/name_resolution_context.h \
+		drizzled/name_resolution_context_state.h \
+		drizzled/natural_join_column.h \
+		drizzled/nested_join.h \
+		drizzled/open_tables_state.h \
+		drizzled/opt_range.h \
+		drizzled/order.h \
+		drizzled/plugin.h \
+		drizzled/plugin_registry.h \
+		drizzled/plugin/applier.h \
+		drizzled/plugin/authentication.h \
+		drizzled/plugin/error_message_handler.h \
+		drizzled/plugin/logging_handler.h \
+		drizzled/plugin/protocol.h \
+		drizzled/plugin/qcache.h \
+		drizzled/plugin/replicator.h \
+		drizzled/plugin/scheduler.h \
+		drizzled/plugin/storage_engine.h \
+		drizzled/probes.h \
+		drizzled/protocol.h \
+		drizzled/qcache.h \
+		drizzled/query_arena.h \
+		drizzled/query_id.h \
+		drizzled/registry.h \
+		drizzled/rename.h \
+		drizzled/transaction_services.h \
+		drizzled/scheduling.h \
+		drizzled/security_context.h \
+		drizzled/select_create.h \
+		drizzled/select_dump.h \
+		drizzled/select_dumpvar.h \
+		drizzled/select_exists_subselect.h \
+		drizzled/select_export.h \
+		drizzled/select_insert.h \
+		drizzled/select_max_min_finder_subselect.h \
+		drizzled/select_result.h \
+		drizzled/select_result_interceptor.h \
+		drizzled/select_send.h \
+		drizzled/select_singlerow_subselect.h \
+		drizzled/select_subselect.h \
+		drizzled/select_to_file.h \
+		drizzled/select_union.h \
+		drizzled/session.h \
+		drizzled/set_var.h \
+		drizzled/show.h \
+		drizzled/sj_tmp_table.h \
+		drizzled/sql_alloc.h \
+		drizzled/sql_array.h \
+		drizzled/sql_base.h \
+		drizzled/sql_bitmap.h \
+		drizzled/sql_error.h \
+		drizzled/sql_lex.h \
+		drizzled/sql_list.h \
+		drizzled/sql_load.h \
+		drizzled/sql_locale.h \
+		drizzled/sql_parse.h \
+		drizzled/sql_plugin.h \
+		drizzled/sql_select.h \
+		drizzled/sql_sort.h \
+		drizzled/sql_state.h \
+		drizzled/sql_string.h \
+		drizzled/sql_table.h \
+		drizzled/sql_udf.h \
+		drizzled/stacktrace.h \
+		drizzled/structs.h \
+		drizzled/symbol_hash.h \
+		drizzled/table.h \
+		drizzled/table_ident.h \
+		drizzled/table_list.h \
+		drizzled/table_map_iterator.h \
+		drizzled/table_share.h \
+		drizzled/temporal.h \
+		drizzled/temporal_format.h \
+		drizzled/tmp_table_param.h \
+		drizzled/tzfile.h \
+		drizzled/tztime.h \
+		drizzled/unique.h \
+		drizzled/unireg.h \
+		drizzled/utf8.h \
+		drizzled/utf8/checked.h \
+		drizzled/utf8/core.h \
+		drizzled/utf8/unchecked.h \
+		drizzled/user_var_entry.h \
+		drizzled/virtual_column_info.h \
+		drizzled/xid.h
+
+
+
+drizzled_drizzled_LDADD= \
+		${noinst_LTLIBRARIES} \
+		$(top_builddir)/drizzled/message/libdrizzledmessage.la \
+		$(top_builddir)/mysys/libmysys.la \
+		$(top_builddir)/mystrings/libmystrings.la \
+		$(LTLIBDRIZZLE) $(LIBZ) $(LIBINTL) ${LIBC_P} \
+		$(LIBUUID) ${top_builddir}/gnulib/libgnu.la \
+		$(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) $(LIBTBB) \
+		$(DRIZZLED_PLUGIN_DEP_LIBS)
+drizzled_drizzled_DEPENDENCIES= ${noinst_LTLIBRARIES} $(DRIZZLED_PLUGIN_DEP_LIBS)
+
+
+drizzled_drizzled_SOURCES = \
+		drizzled/authentication.cc \
+		drizzled/cached_item.cc \
+		drizzled/calendar.cc \
+		drizzled/check_stack_overrun.cc \
+		drizzled/comp_creator.cc \
+		drizzled/current_session.cc \
+		drizzled/diagnostics_area.cc \
+		drizzled/drizzled.cc \
+		drizzled/dtcollation.cc \
+		drizzled/errmsg.cc \
+		drizzled/error.cc \
+		drizzled/errmsg_print.cc \
+		drizzled/field/blob.cc \
+		drizzled/field/date.cc \
+		drizzled/field/datetime.cc \
+		drizzled/field/enum.cc \
+		drizzled/field/decimal.cc \
+		drizzled/field/double.cc \
+		drizzled/field/int64_t.cc \
+		drizzled/field/long.cc \
+		drizzled/field/longstr.cc \
+		drizzled/field/null.cc \
+		drizzled/field/num.cc \
+		drizzled/field/real.cc \
+		drizzled/field/str.cc \
+		drizzled/field/timestamp.cc \
+		drizzled/field/varstring.cc \
+		drizzled/field.cc \
+		drizzled/field_conv.cc \
+		drizzled/field_iterator.cc \
+		drizzled/filesort.cc \
+		drizzled/foreign_key.cc \
+		drizzled/function/ascii.cc \
+		drizzled/function/additive_op.cc \
+		drizzled/function/benchmark.cc \
+		drizzled/function/bit.cc \
+		drizzled/function/bit_count.cc \
+		drizzled/function/char_length.cc \
+		drizzled/function/check_reserved_words.cc \
+		drizzled/function/connection_id.cc \
+		drizzled/function/coercibility.cc \
+		drizzled/function/field.cc \
+		drizzled/function/find_in_set.cc \
+		drizzled/function/found_rows.cc \
+		drizzled/function/func.cc \
+		drizzled/function/get_system_var.cc \
+		drizzled/function/get_user_var.cc \
+		drizzled/function/last_insert.cc \
+		drizzled/function/length.cc \
+		drizzled/function/locate.cc \
+		drizzled/function/min_max.cc \
+		drizzled/function/num1.cc \
+		drizzled/function/numhybrid.cc \
+		drizzled/function/num_op.cc \
+		drizzled/function/row_count.cc \
+		drizzled/function/set_user_var.cc \
+		drizzled/function/shift.cc \
+		drizzled/function/sign.cc \
+		drizzled/function/signed.cc \
+		drizzled/function/update_hash.cc \
+		drizzled/function/units.cc \
+		drizzled/function/unsigned.cc \
+		drizzled/function/user_var_as_out_param.cc \
+		drizzled/function/user_var_entry.cc \
+		drizzled/function/math/abs.cc \
+		drizzled/function/math/acos.cc \
+		drizzled/function/math/asin.cc \
+		drizzled/function/math/atan.cc \
+		drizzled/function/math/ceiling.cc \
+		drizzled/function/math/cos.cc \
+		drizzled/function/math/decimal_typecast.cc \
+		drizzled/function/math/divide.cc \
+		drizzled/function/math/exp.cc \
+		drizzled/function/math/floor.cc \
+		drizzled/function/math/int_divide.cc \
+		drizzled/function/math/integer.cc \
+		drizzled/function/math/int.cc \
+		drizzled/function/math/int_val.cc \
+		drizzled/function/math/ln.cc \
+		drizzled/function/math/log.cc \
+		drizzled/function/math/minus.cc \
+		drizzled/function/math/mod.cc \
+		drizzled/function/math/multiply.cc \
+		drizzled/function/math/neg.cc \
+		drizzled/function/math/ord.cc \
+		drizzled/function/math/plus.cc \
+		drizzled/function/math/pow.cc \
+		drizzled/function/math/rand.cc \
+		drizzled/function/math/real.cc \
+		drizzled/function/math/round.cc \
+		drizzled/function/math/sin.cc \
+		drizzled/function/math/sqrt.cc \
+		drizzled/function/math/tan.cc \
+		drizzled/function/str/alloc_buffer.cc \
+		drizzled/function/str/binary.cc \
+		drizzled/function/str/char.cc \
+		drizzled/function/str/charset.cc \
+		drizzled/function/str/collation.cc \
+		drizzled/function/str/concat.cc \
+		drizzled/function/str/conv.cc \
+		drizzled/function/str/conv_charset.cc \
+		drizzled/function/str/database.cc \
+		drizzled/function/str/elt.cc \
+		drizzled/function/str/export_set.cc \
+		drizzled/function/str/format.cc \
+		drizzled/function/str/hex.cc \
+		drizzled/function/str/insert.cc \
+		drizzled/function/str/left.cc \
+		drizzled/function/str/load_file.cc \
+		drizzled/function/str/make_set.cc \
+		drizzled/function/str/pad.cc \
+		drizzled/function/str/quote.cc \
+		drizzled/function/str/repeat.cc \
+		drizzled/function/str/replace.cc \
+		drizzled/function/str/reverse.cc \
+		drizzled/function/str/right.cc \
+		drizzled/function/str/set_collation.cc \
+		drizzled/function/str/str_conv.cc \
+		drizzled/function/str/strfunc.cc \
+		drizzled/function/str/substr.cc \
+		drizzled/function/str/sysconst.cc \
+		drizzled/function/str/trim.cc \
+		drizzled/function/str/user.cc \
+		drizzled/function/str/uuid.cc \
+		drizzled/function/str/weight_string.cc \
+		drizzled/function/time/curdate.cc \
+		drizzled/function/time/date.cc \
+		drizzled/function/time/date_add_interval.cc \
+		drizzled/function/time/date_format.cc \
+		drizzled/function/time/dayname.cc \
+		drizzled/function/time/dayofmonth.cc \
+		drizzled/function/time/extract.cc \
+		drizzled/function/time/dayofyear.cc \
+		drizzled/function/time/from_days.cc \
+		drizzled/function/time/from_unixtime.cc \
+		drizzled/function/time/get_interval_value.cc \
+		drizzled/function/time/hour.cc \
+		drizzled/function/time/last_day.cc \
+		drizzled/function/time/makedate.cc \
+		drizzled/function/time/microsecond.cc \
+		drizzled/function/time/minute.cc \
+		drizzled/function/time/month.cc \
+		drizzled/function/time/now.cc \
+		drizzled/function/time/quarter.cc \
+		drizzled/function/time/period_add.cc \
+		drizzled/function/time/period_diff.cc \
+		drizzled/function/time/second.cc \
+		drizzled/function/time/sysdate_local.cc \
+		drizzled/function/time/timestamp_diff.cc \
+		drizzled/function/time/to_days.cc \
+		drizzled/function/time/typecast.cc \
+		drizzled/function/time/unix_timestamp.cc \
+		drizzled/function/time/weekday.cc \
+		drizzled/function/time/year.cc \
+		drizzled/ha_trx_info.cc \
+		drizzled/hybrid_type_traits.cc \
+		drizzled/hybrid_type_traits_decimal.cc \
+		drizzled/hybrid_type_traits_integer.cc \
+		drizzled/index_hint.cc \
+		drizzled/item/bin_string.cc \
+		drizzled/item/cache.cc \
+		drizzled/item/cache_decimal.cc \
+		drizzled/item/cache_int.cc \
+		drizzled/item/cache_real.cc \
+		drizzled/item/cache_row.cc \
+		drizzled/item/cache_str.cc \
+		drizzled/item/cmpfunc.cc \
+		drizzled/item/copy_string.cc \
+		drizzled/item/create.cc \
+		drizzled/item/decimal.cc \
+		drizzled/item/direct_ref.cc \
+		drizzled/item/empty_string.cc \
+		drizzled/item/field.cc \
+		drizzled/item/float.cc \
+		drizzled/item/hex_string.cc \
+		drizzled/item/insert_value.cc \
+		drizzled/item/int_with_ref.cc \
+		drizzled/item/ident.cc \
+		drizzled/item/int.cc \
+		drizzled/item/null.cc \
+		drizzled/item/num.cc \
+		drizzled/item/outer_ref.cc \
+		drizzled/item/param.cc \
+		drizzled/item/ref.cc \
+		drizzled/item/ref_null_helper.cc \
+		drizzled/item/row.cc \
+		drizzled/item/string.cc \
+		drizzled/item/subselect.cc \
+		drizzled/item/sum.cc \
+		drizzled/item/type_holder.cc \
+		drizzled/item/uint.cc \
+		drizzled/item.cc \
+		drizzled/key.cc \
+		drizzled/key_map.cc \
+		drizzled/lock.cc \
+		drizzled/logging.cc \
+		drizzled/lookup_symbol.cc \
+		drizzled/my_decimal.cc \
+		drizzled/name_resolution_context_state.cc \
+		drizzled/natural_join_column.cc \
+		drizzled/opt_range.cc \
+		drizzled/opt_sum.cc \
+		drizzled/plugin_registry.cc \
+		drizzled/protocol.cc \
+		drizzled/qcache.cc \
+		drizzled/query_id.cc \
+		drizzled/records.cc \
+		drizzled/rename.cc \
+		drizzled/transaction_services.cc \
+		drizzled/scheduling.cc \
+		drizzled/session.cc \
+		drizzled/set_var.cc \
+		drizzled/show.cc \
+		drizzled/sj_tmp_table.cc \
+		drizzled/sql_base.cc \
+		drizzled/sql_bitmap.cc \
+		drizzled/sql_connect.cc \
+		drizzled/sql_delete.cc \
+		drizzled/sql_derived.cc \
+		drizzled/sql_error.cc \
+		drizzled/sql_insert.cc \
+		drizzled/sql_lex.cc \
+		drizzled/sql_list.cc \
+		drizzled/sql_load.cc \
+		drizzled/sql_locale.cc \
+		drizzled/sql_olap.cc \
+		drizzled/sql_parse.cc \
+		drizzled/sql_plugin.cc \
+		drizzled/sql_select.cc \
+		drizzled/sql_state.cc \
+		drizzled/sql_string.cc \
+		drizzled/sql_table.cc \
+		drizzled/sql_udf.cc \
+		drizzled/sql_union.cc \
+		drizzled/sql_update.cc \
+		drizzled/sql_yacc.yy \
+		drizzled/stacktrace.cc \
+		drizzled/strfunc.cc \
+		drizzled/table.cc \
+                drizzled/table_map_iterator.cc \
+		drizzled/temporal.cc \
+		drizzled/temporal_format.cc \
+		drizzled/thr_malloc.cc \
+		drizzled/time.cc \
+		drizzled/tztime.cc \
+		drizzled/uniques.cc \
+		drizzled/util/convert.cc \
+		drizzled/virtual_column_info.cc \
+		drizzled/xid.cc
+
+if BUILD_DTRACE
+drizzled_drizzled_SOURCES += drizzled/probes.d
+endif
+
+drizzled_libserialutil_la_SOURCES = drizzled/db.cc drizzled/table_proto_write.cc
+drizzled_libserialutil_la_CXXFLAGS= ${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}
+
+drizzled_libhandler_la_SOURCES = drizzled/handler.cc drizzled/plugin/storage_engine.cc
+
+include config/plugin.am
+
 # Create empty datadir 
 install-data-local:
 	$(mkinstalldirs) $(DESTDIR)$(localstatedir) 
@@ -335,3 +975,33 @@
 	${LCOV} --directory ${top_srcdir} --zerocounters
 
 endif
+
+drizzled/probes.h: drizzled/probes.d
+	$(DTRACE) $(DTRACEFLAGS) -h -s drizzled/probes.d
+	mv drizzled/probes.h drizzled/probes.h.bak
+	sed "s/#include <unistd.h>//g" drizzled/probes.h.bak > drizzled/probes.h
+	rm drizzled/probes.h.bak
+
+
+SUFFIXES = .d .gperf .stamp-h
+
+
+.d.o : $(DTRACEFILES)
+	$(DTRACE) $(DTRACEFLAGS) -G -s $< $(DTRACEFILES)
+
+drizzled/function_hash.h: drizzled/function_hash.stamp-h
+drizzled/symbol_hash.h: drizzled/symbol_hash.stamp-h
+
+.gperf.stamp-h:
+	$(GPERF) --initializer-suffix=,0 --struct-type --enum \
+		--omit-struct-type --readonly-tables --language=C++ \
+		--class-name=$(*F) $<  > $@
+	@if ! test $$? ; then rm $@ ; fi
+	@if test -f $@ ; then \
+		if ! diff $@ \
+			${top_builddir}/$*.h >/dev/null 2>&1 ; \
+		then \
+			cp $@ ${top_builddir}/$*.h ; \
+		fi \
+	fi
+

=== modified file 'config/autorun.sh'
--- config/autorun.sh	2009-03-20 23:50:44 +0000
+++ config/autorun.sh	2009-04-17 00:14:28 +0000
@@ -58,6 +58,8 @@
   rm m4/bzr_version.m4.new
 fi
 
+python config/register_plugins.py
+
 if test x$LIBTOOLIZE = x; then
   if test \! "x`which glibtoolize 2> /dev/null | grep -v '^no'`" = x; then
     LIBTOOLIZE=glibtoolize

=== added file 'config/register_plugins.py'
--- config/register_plugins.py	1970-01-01 00:00:00 +0000
+++ config/register_plugins.py	2009-04-26 16:53:32 +0000
@@ -0,0 +1,192 @@
+#!/usr/bin/python
+
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+
+# Find plugins in the tree and add them to the build system 
+
+import os, ConfigParser, sys
+
+top_srcdir='.'
+top_builddir='.'
+plugin_ini_fname='plugin.ini'
+plugin_list=[]
+autogen_header="This file is generated, re-run %s to rebuild\n" % sys.argv[0]
+
+if len(sys.argv)>1:
+  top_srcdir=sys.argv[1]
+  top_builddir=top_srcdir
+if len(sys.argv)>2:
+  top_builddir=sys.argv[2]
+
+plugin_ac=open(os.path.join(top_builddir,'config','plugin.ac.new'),'w')
+plugin_am=open(os.path.join(top_srcdir,'config','plugin.am.new'),'w')
+plugin_ac.write("dnl %s" % autogen_header)
+plugin_am.write("# %s" % autogen_header)
+
+def accumulate_plugins(arg, dirname, fnames):
+  if plugin_ini_fname in fnames:
+    arg.append(dirname)
+
+
+os.path.walk(top_srcdir,accumulate_plugins,plugin_list)
+
+for plugin_dir in plugin_list:
+  plugin_file= os.path.join(plugin_dir,plugin_ini_fname)
+  parser=ConfigParser.ConfigParser(defaults=dict(sources="",headers="", cflags="",cppflags="",cxxflags="", libs="", ldflags=""))
+  parser.read(plugin_file)
+  plugin=dict(parser.items('plugin'))
+  plugin['rel_path']= plugin_dir[len(top_srcdir)+len(os.path.sep):]
+  # TODO: determine path to plugin dir relative to top_srcdir... append it
+  # to source files if they don't already have it
+  if plugin['sources'] == "":
+    plugin['sources']="%s.cc" % plugin['name']
+  new_sources=""
+  for src in plugin['sources'].split():
+    if not src.startswith(plugin['rel_path']):
+      src= os.path.join(plugin['rel_path'], src)
+      new_sources= "%s %s" % (new_sources, src)
+  plugin['sources']= new_sources
+
+  new_headers=""
+  for header in plugin['headers'].split():
+    if not header.startswith(plugin['rel_path']):
+      header= os.path.join(plugin['rel_path'], header)
+      new_headers= "%s %s" % (new_headers, header)
+  plugin['headers']= new_headers
+  
+  if plugin.has_key('load_by_default'):
+    plugin['load_by_default']=parser.getboolean('plugin','load_by_default')
+  else:
+    plugin['load_by_default']=False
+  # Make a yes/no version for autoconf help messages
+  if plugin['load_by_default']:
+    plugin['default_yesno']="yes"
+  else:
+    plugin['default_yesno']="no"
+
+  plugin_ac_file=os.path.join(plugin['rel_path'],'plugin.ac')
+  plugin_am_file=os.path.join(plugin['rel_path'],'plugin.am')
+  plugin_m4_dir=os.path.join(plugin['rel_path'],'m4')
+
+  plugin_m4_files=[]
+  if os.path.exists(plugin_m4_dir) and os.path.isdir(plugin_m4_dir):
+    for m4_file in os.listdir(plugin_m4_dir):
+      if os.path.splitext(m4_file)[-1] == '.m4':
+        plugin_m4_files.append(os.path.join(plugin['rel_path'], m4_file))
+
+  plugin['build_conditional_tag']= "BUILD_%s_PLUGIN" % plugin['name'].upper()
+  if plugin.has_key('build_conditional'):
+    plugin['has_build_conditional']=True
+  else:
+    plugin['has_build_conditional']=False
+    plugin['build_conditional']='"x${with_%(name)s_plugin}" = "xyes"' %plugin
+
+  # Turn this on later plugin_lib%(name)s_plugin_la_CPPFLAGS=$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN %(cppflags)s
+
+  #
+  # Write plugin build instructions into plugin.am file.
+  #
+  if plugin['headers'] != "":
+    plugin_am.write("noinst_HEADERS += %(headers)s\n" % plugin)
+  plugin_am.write("""
+plugin_lib%(name)s_dir=${top_srcdir}/%(rel_path)s
+EXTRA_DIST += %(rel_path)s/plugin.ini
+if %(build_conditional_tag)s
+  noinst_LTLIBRARIES+=plugin/lib%(name)s_plugin.la
+  plugin_lib%(name)s_plugin_la_LIBADD=%(libs)s
+  plugin_lib%(name)s_plugin_la_LDFLAGS=$(AM_LDFLAGS) %(ldflags)s
+  plugin_lib%(name)s_plugin_la_CPPFLAGS=$(AM_CPPFLAGS) %(cppflags)s
+  plugin_lib%(name)s_plugin_la_CXXFLAGS=$(AM_CXXFLAGS) %(cxxflags)s
+  plugin_lib%(name)s_plugin_la_CFLAGS=$(AM_CFLAGS) %(cflags)s
+
+  plugin_lib%(name)s_plugin_la_SOURCES=%(sources)s
+  drizzled_drizzled_LDADD+=${top_builddir}/plugin/lib%(name)s_plugin.la
+endif
+""" % plugin)
+  # Add this once we're actually doing dlopen (and remove -avoid-version if
+  # we move to ltdl
+  #pkgplugin_LTLIBRARIES+=plugin/lib%(name)s_plugin.la
+  #plugin_lib%(name)s_plugin_la_LDFLAGS=-module -avoid-version -rpath $(pkgplugindir) %(libs)s
+
+  if os.path.exists(plugin_am_file):
+    plugin_am.write('include %s\n' % plugin_am_file) 
+
+  #
+  # Write plugin config instructions into plugin.am file.
+  #
+  plugin_ac.write("\n\ndnl Config for %(title)s\n" % plugin)
+  for m4_file in plugin_m4_files:
+    plugin_ac.write('m4_sinclude([%s])\n' % m4_file) 
+
+  plugin_ac.write("""
+AC_ARG_WITH([plugin-%(name)s],[
+dnl indented werid to make the help output correct
+AS_HELP_STRING([--with-%(name)s-plugin],[Build %(title)s and enable it. @<:@default=%(default_yesno)s@:>@])
+AS_HELP_STRING([--without-%(name)s-plugin],[Disable building %(title)s])
+  ],
+  [with_%(name)s_plugin="$withval"],
+  [AS_IF([test "x$ac_with_all_plugins" = "yes"],
+         [with_%(name)s_plugin=yes],
+         [with_%(name)s_plugin=%(default_yesno)s])])
+""" % plugin)
+  if os.path.exists(plugin_ac_file):
+    plugin_ac.write('m4_sinclude([%s])\n' % plugin_ac_file) 
+  # The plugin author has specified some check to make to determine
+  # if the plugin can be built. If the plugin is turned on and this 
+  # check fails, then configure should error out. If the plugin is not
+  # turned on, then the normal conditional build stuff should just let
+  # it silently not build
+  if plugin['has_build_conditional']:
+    plugin_ac.write("""
+AS_IF([test  %(build_conditional)s || "x$with_%(name)s_plugin" = "xyes"],
+      AS_IF([test %(build_conditional)s],
+            [with_%(name)s_plugin=yes],
+            [AC_MSG_ERROR([Build prerequisites not found for %(title)s, yet it was slated to be enabled by default. Aborting!])]))
+AS_IF([test %(build_conditional)s],
+      [with_%(name)s_plugin=yes],
+      [with_%(name)s_plugin=no])
+  """ % plugin)
+  plugin['plugin_dep_libs']=" ".join(["\${top_builddir}/%s" % f for f in plugin['libs'].split()])
+  plugin_ac.write("""
+AM_CONDITIONAL([%(build_conditional_tag)s],
+               [test %(build_conditional)s])
+AS_IF([test "x$with_%(name)s_plugin" = "xyes"],
+      [
+        drizzled_default_plugin_list="%(name)s,${drizzled_default_plugin_list}"
+        drizzled_builtin_list="builtin_%(name)s_plugin,${drizzled_builtin_list}"
+	DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} %(plugin_dep_libs)s"
+      ])
+""" % plugin)
+ 
+plugin_ac.close()
+plugin_am.close()
+
+# We've written all of this out into .new files, now we only copy them
+# over the old ones if they are different, so that we don't cause 
+# unnecessary recompiles
+for f in ('plugin.ac','plugin.am'):
+  fname= os.path.join(top_builddir,'config',f)
+  if os.system('diff %s.new %s >/dev/null 2>&1' % (fname,fname)):
+    try:
+      os.unlink(fname)
+    except:
+      pass
+    os.rename('%s.new' % fname, fname)
+  try:
+    os.unlink("%s.new" % fname)
+  except:
+    pass

=== modified file 'configure.ac'
--- configure.ac	2009-04-17 22:08:13 +0000
+++ configure.ac	2009-04-26 16:53:32 +0000
@@ -1,6 +1,22 @@
 dnl -*- bash -*-
 dnl Process this file with autoconf to produce a configure script.
 
+dnl  Copyright (C) 2009 Sun Microsystems
+dnl
+dnl  This program is free software; you can redistribute it and/or modify
+dnl  it under the terms of the GNU General Public License as published by
+dnl  the Free Software Foundation; version 2 of the License.
+dnl
+dnl  This program is distributed in the hope that it will be useful,
+dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
+dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+dnl  GNU General Public License for more details.
+dnl
+dnl  You should have received a copy of the GNU General Public License
+dnl  along with this program; if not, write to the Free Software
+dnl  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 
 m4_include(m4/bzr_version.m4)
@@ -1105,13 +1121,15 @@
 # functions tested above
 #--------------------------------------------------------------------
 
-DRIZZLE_CONFIGURE_PLUGINS([none])
+m4_include(config/plugin.ac)
+dnl Add code here to read set plugin lists and  set drizzled_default_plugin_list
+AC_DEFINE_UNQUOTED([DRIZZLED_PLUGIN_LIST],[$drizzled_default_plugin_list],
+                   [List of plugins that should be loaded on startup if no
+                    value is given for --plugin-load])
 
-AC_SUBST(mysql_plugin_dirs)
-AC_SUBST(mysql_plugin_libs)
-drizzled_plugin_defs=`echo $drizzled_plugin_defs | sed 's/, *$//'`
-AC_SUBST(drizzled_plugin_defs)
-AC_SUBST(DRIZZLED_PLUGIN_DEP_LIBS)
+drizzled_builtin_list=`echo $drizzled_builtin_list | sed 's/, *$//'`
+AC_DEFINE_UNQUOTED([DRIZZLED_BUILTIN_LIST],[$drizzled_builtin_list],
+                   [List of plugins to be loaded in sql_builtin.cc])
 
 
 AC_ARG_ENABLE([profiling],
@@ -1368,7 +1386,7 @@
       AC_LANG_PROGRAM(
         [[
 __attribute__((visibility ("hidden")))
-void testme() {  };
+void testme() {  }
         ]],[[testme()]]
       )],  
       [ac_cv_can_use_hidden_=yes],
@@ -1402,14 +1420,10 @@
 
 AC_CONFIG_FILES(Makefile dnl
  gnulib/Makefile dnl
- storage/Makefile dnl
  po/Makefile.in dnl
- drizzled/Makefile dnl
  drizzled/message/Makefile dnl
- drizzled/sql_builtin.cc dnl
  support-files/Makefile dnl
  tests/Makefile tests/install_test_db dnl
- plugin/Makefile dnl
  drizzled/drizzled_safe dnl
  support-files/drizzle.server support-files/drizzle-log-rotate)
 

=== removed file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-04-25 19:58:14 +0000
+++ drizzled/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,715 +0,0 @@
-#  Copyright (C) 2008 Sun Microsystems
-# 
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License as published by
-#  the Free Software Foundation; version 2 of the License.
-#
-#  This program is distributed in the hope that it will be useful,
-#  but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  GNU General Public License for more details.
-#
-#  You should have received a copy of the GNU General Public License
-#  along with this program; if not, write to the Free Software
-#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-
-sbin_PROGRAMS= drizzled
-
-bin_SCRIPTS = 	drizzledumpslow \
-		drizzled_safe 
-
-DTRACEFILES = handler.o \
-	      filesort.o \
-	      sql_delete.o \
-	      sql_insert.o \
-	      sql_select.o \
-	      sql_update.o
-
-drizzledincludedir = ${includedir}/drizzled
-nobase_dist_drizzledinclude_HEADERS = \
-		alter_column.h \
-		alter_drop.h \
-		atomic/gcc_traits.h \
-		atomic/pthread_traits.h \
-		atomic/sun_studio.h \
-		atomics.h \
-		authentication.h \
-		base.h \
-		cached_item.h \
-		calendar.h \
-		check_stack_overrun.h \
-		common.h \
-		comp_creator.h \
-		connect.h \
-		cost_vect.h \
-		current_session.h \
-		data_home.h \
-		db.h \
-		definitions.h \
-		diagnostics_area.h \
-		discrete_interval.h \
-		dtcollation.h \
-		errmsg.h \
-		errmsg_print.h \
-		error.h \
-		error_injection.h \
-		field.h \
-		field/blob.h \
-		field/date.h \
-		field/datetime.h \
-		field/decimal.h \
-		field/double.h \
-		field/enum.h \
-		field/int64_t.h \
-		field/long.h \
-		field/longstr.h \
-		field/null.h \
-		field/num.h \
-		field/real.h \
-		field/str.h \
-		field/timestamp.h \
-		field/varstring.h \
-		field_iterator.h \
-		file_exchange.h \
-		filesort_info.h \
-		foreign_key.h \
-		function/additive_op.h \
-		function/ascii.h \
-		function/benchmark.h \
-		function/bit.h \
-		function/bit_count.h \
-		function/bit_length.h \
-		function/char_length.h \
-		function/coercibility.h \
-		function/connection_id.h \
-		function/create.h \
-		function/field.h \
-		function/find_in_set.h \
-		function/found_rows.h \
-		function/func.h \
-		function/get_system_var.h \
-		function/get_user_var.h \
-		function/last_insert.h \
-		function/length.h \
-		function/locate.h \
-		function/math/abs.h \
-		function/math/acos.h \
-		function/math/asin.h \
-		function/math/atan.h \
-		function/math/ceiling.h \
-		function/math/cos.h \
-		function/math/dec.h \
-		function/math/decimal_typecast.h \
-		function/math/divide.h \
-		function/math/exp.h \
-		function/math/floor.h \
-		function/math/int.h \
-		function/math/int_divide.h \
-		function/math/int_val.h \
-		function/math/integer.h \
-		function/math/ln.h \
-		function/math/log.h \
-		function/math/minus.h \
-		function/math/mod.h \
-		function/math/multiply.h \
-		function/math/neg.h \
-		function/math/ord.h \
-		function/math/plus.h \
-		function/math/pow.h \
-		function/math/rand.h \
-		function/math/real.h \
-		function/math/round.h \
-		function/math/sin.h \
-		function/math/sqrt.h \
-		function/math/tan.h \
-		function/min_max.h \
-		function/num1.h \
-		function/num_op.h \
-		function/numhybrid.h \
-		function/rollup_const.h \
-		function/row_count.h \
-		function/set_user_var.h \
-		function/sign.h \
-		function/signed.h \
-		function/str/alloc_buffer.h \
-		function/str/binary.h \
-		function/str/char.h \
-		function/str/charset.h \
-		function/str/collation.h \
-		function/str/concat.h \
-		function/str/conv.h \
-		function/str/conv_charset.h \
-		function/str/database.h \
-		function/str/elt.h \
-		function/str/export_set.h \
-		function/str/format.h \
-		function/str/hex.h \
-		function/str/insert.h \
-		function/str/left.h \
-		function/str/load_file.h \
-		function/str/make_set.h \
-		function/str/pad.h \
-		function/str/quote.h \
-		function/str/repeat.h \
-		function/str/replace.h \
-		function/str/reverse.h \
-		function/str/right.h \
-		function/str/set_collation.h \
-		function/str/str_conv.h \
-		function/str/strfunc.h \
-		function/str/substr.h \
-		function/str/sysconst.h \
-		function/str/trim.h \
-		function/str/user.h \
-		function/str/uuid.h \
-		function/str/weight_string.h \
-		function/time/curdate.h \
-		function/time/date.h \
-		function/time/date_add_interval.h \
-		function/time/date_format.h \
-		function/time/dayname.h \
-		function/time/dayofmonth.h \
-		function/time/dayofyear.h \
-		function/time/extract.h \
-		function/time/from_days.h \
-		function/time/from_unixtime.h \
-		function/time/get_interval_value.h \
-		function/time/hour.h \
-		function/time/last_day.h \
-		function/time/makedate.h \
-		function/time/microsecond.h \
-		function/time/minute.h \
-		function/time/month.h \
-		function/time/now.h \
-		function/time/period_add.h \
-		function/time/period_diff.h \
-		function/time/quarter.h \
-		function/time/second.h \
-		function/time/sysdate_local.h \
-		function/time/timestamp_diff.h \
-		function/time/to_days.h \
-		function/time/typecast.h \
-		function/time/unix_timestamp.h \
-		function/time/weekday.h \
-		function/time/year.h  \
-		function/units.h \
-		function/unsigned.h \
-		function/update_hash.h \
-		function/user_var_as_out_param.h \
-		function_hash.h \
-		ha_statistics.h \
-		ha_trx_info.h \
-		handler.h \
-		handler_structs.h \
-		hybrid_type.h \
-		hybrid_type_traits.h \
-		hybrid_type_traits_decimal.h \
-		hybrid_type_traits_integer.h \
-		index_hint.h \
-		internal_error_handler.h \
-		item.h \
-		item/basic_constant.h \
-		item/bin_string.h \
-		item/blob.h \
-		item/cache.h \
-		item/cache_decimal.h \
-		item/cache_int.h \
-		item/cache_real.h \
-		item/cache_row.h \
-		item/cache_str.h \
-		item/cmpfunc.h \
-		item/copy_string.h \
-		item/create.h \
-		item/decimal.h \
-		item/direct_ref.h \
-		item/empty_string.h \
-		item/field.h \
-		item/float.h \
-		item/func.h \
-		item/hex_string.h \
-		item/ident.h \
-		item/insert_value.h \
-		item/int.h \
-		item/int_with_ref.h \
-		item/null.h \
-		item/num.h \
-		item/outer_ref.h \
-		item/param.h \
-		item/ref.h \
-		item/ref_null_helper.h \
-		item/return_date_time.h \
-		item/return_int.h \
-		item/row.h \
-		item/string.h \
-		item/subselect.h \
-		item/sum.h \
-		item/type_holder.h \
-		item/uint.h \
-		key.h \
-		key_map.h \
-		key_part_spec.h \
-		korr.h \
-		lex_column.h \
-		lex_string.h \
-		lex_symbol.h \
-		lock.h \
-		logging.h \
-		lookup_symbol.h \
-		multi_delete.h \
-		multi_update.h \
-		my_decimal.h\
-		my_var.h \
-		name_resolution_context.h \
-		name_resolution_context_state.h \
-		natural_join_column.h \
-		nested_join.h \
-		open_tables_state.h \
-		opt_range.h \
-		order.h \
-		plugin.h \
-		plugin_registry.h \
-		plugin/applier.h \
-		plugin/authentication.h \
-		plugin/error_message_handler.h \
-		plugin/logging_handler.h \
-		plugin/protocol.h \
-		plugin/qcache.h \
-		plugin/replicator.h \
-		plugin/scheduler.h \
-		plugin/storage_engine.h \
-		probes.h \
-		protocol.h \
-		qcache.h \
-		query_arena.h \
-		query_id.h \
-		registry.h \
-		rename.h \
-		transaction_services.h \
-		scheduling.h \
-		security_context.h \
-		select_create.h \
-		select_dump.h \
-		select_dumpvar.h \
-		select_exists_subselect.h \
-		select_export.h \
-		select_insert.h \
-		select_max_min_finder_subselect.h \
-		select_result.h \
-		select_result_interceptor.h \
-		select_send.h \
-		select_singlerow_subselect.h \
-		select_subselect.h \
-		select_to_file.h \
-		select_union.h \
-		session.h \
-		set_var.h \
-		show.h \
-		sj_tmp_table.h \
-		sql_alloc.h \
-		sql_array.h \
-		sql_base.h \
-		sql_bitmap.h \
-		sql_error.h \
-		sql_lex.h \
-		sql_list.h \
-		sql_load.h \
-		sql_locale.h \
-		sql_parse.h \
-		sql_plugin.h \
-		sql_select.h \
-		sql_sort.h \
-		sql_state.h \
-		sql_string.h \
-		sql_table.h \
-		sql_udf.h \
-		stacktrace.h \
-		structs.h \
-		symbol_hash.h \
-		table.h \
-		table_ident.h \
-		table_list.h \
-		table_map_iterator.h \
-		table_share.h \
-		temporal.h \
-		temporal_format.h \
-		tmp_table_param.h \
-		tzfile.h \
-		tztime.h \
-		unique.h \
-		unireg.h \
-		utf8.h \
-		utf8/checked.h \
-		utf8/core.h \
-		utf8/unchecked.h \
-		user_var_entry.h \
-		virtual_column_info.h \
-		xid.h
-
-noinst_LTLIBRARIES = \
-		libhandler.la \
-		libserialutil.la
-
-LDADD = $(top_builddir)/mysys/libmysys.la \
-	$(top_builddir)/mystrings/libmystrings.la \
-	$(LTLIBDRIZZLE) $(LIBZ) $(LIBINTL) ${LIBC_P}
-
-drizzled_LDADD = ${noinst_LTLIBRARIES} \
-		 $(top_builddir)/drizzled/message/libdrizzledmessage.la \
-		 @mysql_plugin_libs@ \
-		 $(LDADD) $(LIBUUID) ${top_builddir}/gnulib/libgnu.la \
-		 $(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) $(LIBTBB) \
-		 $(DRIZZLED_PLUGIN_DEP_LIBS)
-drizzled_DEPENDENCIES = @mysql_plugin_libs@ ${noinst_LTLIBRARIES}
-
-drizzled_LDFLAGS =
-
-
-noinst_HEADERS = \
-		gettext.h \
-		global.h \
-		server_includes.h \
-		util/convert.h \
-		util/test.h
-
-drizzled_SOURCES = \
-		authentication.cc \
-		cached_item.cc \
-		calendar.cc \
-		check_stack_overrun.cc \
-		comp_creator.cc \
-		current_session.cc \
-		diagnostics_area.cc \
-		drizzled.cc \
-		dtcollation.cc \
-		errmsg.cc \
-		error.cc \
-		errmsg_print.cc \
-		field/blob.cc \
-		field/date.cc \
-		field/datetime.cc \
-		field/enum.cc \
-		field/decimal.cc \
-		field/double.cc \
-		field/int64_t.cc \
-		field/long.cc \
-		field/longstr.cc \
-		field/null.cc \
-		field/num.cc \
-		field/real.cc \
-		field/str.cc \
-		field/timestamp.cc \
-		field/varstring.cc \
-		field.cc \
-		field_conv.cc \
-		field_iterator.cc \
-		filesort.cc \
-		foreign_key.cc \
-		function/ascii.cc \
-		function/additive_op.cc \
-		function/benchmark.cc \
-		function/bit.cc \
-		function/bit_count.cc \
-		function/char_length.cc \
-		function/check_reserved_words.cc \
-		function/connection_id.cc \
-		function/coercibility.cc \
-		function/field.cc \
-		function/find_in_set.cc \
-		function/found_rows.cc \
-		function/func.cc \
-		function/get_system_var.cc \
-		function/get_user_var.cc \
-		function/last_insert.cc \
-		function/length.cc \
-		function/locate.cc \
-		function/min_max.cc \
-		function/num1.cc \
-		function/numhybrid.cc \
-		function/num_op.cc \
-		function/row_count.cc \
-		function/set_user_var.cc \
-		function/shift.cc \
-		function/sign.cc \
-		function/signed.cc \
-		function/update_hash.cc \
-		function/units.cc \
-		function/unsigned.cc \
-		function/user_var_as_out_param.cc \
-		function/user_var_entry.cc \
-		function/math/abs.cc \
-		function/math/acos.cc \
-		function/math/asin.cc \
-		function/math/atan.cc \
-		function/math/ceiling.cc \
-		function/math/cos.cc \
-		function/math/decimal_typecast.cc \
-		function/math/divide.cc \
-		function/math/exp.cc \
-		function/math/floor.cc \
-		function/math/int_divide.cc \
-		function/math/integer.cc \
-		function/math/int.cc \
-		function/math/int_val.cc \
-		function/math/ln.cc \
-		function/math/log.cc \
-		function/math/minus.cc \
-		function/math/mod.cc \
-		function/math/multiply.cc \
-		function/math/neg.cc \
-		function/math/ord.cc \
-		function/math/plus.cc \
-		function/math/pow.cc \
-		function/math/rand.cc \
-		function/math/real.cc \
-		function/math/round.cc \
-		function/math/sin.cc \
-		function/math/sqrt.cc \
-		function/math/tan.cc \
-		function/str/alloc_buffer.cc \
-		function/str/binary.cc \
-		function/str/char.cc \
-		function/str/charset.cc \
-		function/str/collation.cc \
-		function/str/concat.cc \
-		function/str/conv.cc \
-		function/str/conv_charset.cc \
-		function/str/database.cc \
-		function/str/elt.cc \
-		function/str/export_set.cc \
-		function/str/format.cc \
-		function/str/hex.cc \
-		function/str/insert.cc \
-		function/str/left.cc \
-		function/str/load_file.cc \
-		function/str/make_set.cc \
-		function/str/pad.cc \
-		function/str/quote.cc \
-		function/str/repeat.cc \
-		function/str/replace.cc \
-		function/str/reverse.cc \
-		function/str/right.cc \
-		function/str/set_collation.cc \
-		function/str/str_conv.cc \
-		function/str/strfunc.cc \
-		function/str/substr.cc \
-		function/str/sysconst.cc \
-		function/str/trim.cc \
-		function/str/user.cc \
-		function/str/uuid.cc \
-		function/str/weight_string.cc \
-		function/time/curdate.cc \
-		function/time/date.cc \
-		function/time/date_add_interval.cc \
-		function/time/date_format.cc \
-		function/time/dayname.cc \
-		function/time/dayofmonth.cc \
-		function/time/extract.cc \
-		function/time/dayofyear.cc \
-		function/time/from_days.cc \
-		function/time/from_unixtime.cc \
-		function/time/get_interval_value.cc \
-		function/time/hour.cc \
-		function/time/last_day.cc \
-		function/time/makedate.cc \
-		function/time/microsecond.cc \
-		function/time/minute.cc \
-		function/time/month.cc \
-		function/time/now.cc \
-		function/time/quarter.cc \
-		function/time/period_add.cc \
-		function/time/period_diff.cc \
-		function/time/second.cc \
-		function/time/sysdate_local.cc \
-		function/time/timestamp_diff.cc \
-		function/time/to_days.cc \
-		function/time/typecast.cc \
-		function/time/unix_timestamp.cc \
-		function/time/weekday.cc \
-		function/time/year.cc \
-		ha_trx_info.cc \
-		hybrid_type_traits.cc \
-		hybrid_type_traits_decimal.cc \
-		hybrid_type_traits_integer.cc \
-		index_hint.cc \
-		item/bin_string.cc \
-		item/cache.cc \
-		item/cache_decimal.cc \
-		item/cache_int.cc \
-		item/cache_real.cc \
-		item/cache_row.cc \
-		item/cache_str.cc \
-		item/cmpfunc.cc \
-		item/copy_string.cc \
-		item/create.cc \
-		item/decimal.cc \
-		item/direct_ref.cc \
-		item/empty_string.cc \
-		item/field.cc \
-		item/float.cc \
-		item/hex_string.cc \
-		item/insert_value.cc \
-		item/int_with_ref.cc \
-		item/ident.cc \
-		item/int.cc \
-		item/null.cc \
-		item/num.cc \
-		item/outer_ref.cc \
-		item/param.cc \
-		item/ref.cc \
-		item/ref_null_helper.cc \
-		item/row.cc \
-		item/string.cc \
-		item/subselect.cc \
-		item/sum.cc \
-		item/type_holder.cc \
-		item/uint.cc \
-		item.cc \
-		key.cc \
-		key_map.cc \
-		lock.cc \
-		logging.cc \
-		lookup_symbol.cc \
-		my_decimal.cc \
-		name_resolution_context_state.cc \
-		natural_join_column.cc \
-		opt_range.cc \
-		opt_sum.cc \
-		plugin_registry.cc \
-		protocol.cc \
-		qcache.cc \
-		query_id.cc \
-		records.cc \
-		rename.cc \
-		transaction_services.cc \
-    scheduling.cc \
-		session.cc \
-		set_var.cc \
-		show.cc \
-		sj_tmp_table.cc \
-		sql_base.cc \
-		sql_bitmap.cc \
-		sql_builtin.cc \
-		sql_connect.cc \
-		sql_delete.cc \
-		sql_derived.cc \
-		sql_error.cc \
-		sql_insert.cc \
-		sql_lex.cc \
-		sql_list.cc \
-		sql_load.cc \
-		sql_locale.cc \
-		sql_olap.cc \
-		sql_parse.cc \
-		sql_plugin.cc \
-		sql_select.cc \
-		sql_state.cc \
-		sql_string.cc \
-		sql_table.cc \
-		sql_udf.cc \
-		sql_union.cc \
-		sql_update.cc \
-		sql_yacc.yy \
-		stacktrace.cc \
-		strfunc.cc \
-		table.cc \
-                table_map_iterator.cc \
-		temporal.cc \
-		temporal_format.cc \
-		thr_malloc.cc \
-		time.cc \
-		tztime.cc \
-		uniques.cc \
-		util/convert.cc \
-		virtual_column_info.cc \
-		xid.cc
-
-if BUILD_DTRACE
-drizzled_SOURCES += probes.d
-endif
-
-libserialutil_la_SOURCES = db.cc table_proto_write.cc
-libserialutil_la_CXXFLAGS= ${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}
-
-libhandler_la_SOURCES = handler.cc plugin/storage_engine.cc
-
-AM_YFLAGS = -p DRIZZLE -d --verbose
-
-
-if BUILD_GCC_PCH
-PCHHEADERS = \
-		definitions.h.gch \
-		plugin/storage_engine.h.gch  \
-		sql_base.h.gch \
-		sql_parse.h.gch \
-		sql_plugin.h.gch \
-		util/convert.h.gch \
-		util/test.h.gch
-else
-PCHHEADERS = 
-endif
-
-BUILT_MAINT_SRC = sql_yacc.cc \
-		  sql_yacc.h
-
-BUILT_SOURCES = $(BUILT_MAINT_SRC) \
-		symbol_hash.h \
-		function_hash.h \
-		$(PCHHEADERS)
-
-EXTRA_DIST = \
-		$(BUILT_MAINT_SRC) \
-		symbol_hash.gperf \
-		function_hash.gperf \
-		drizzledumpslow \
-		message.mc \
-		probes.d
-
-CLEANFILES = \
-		configmake.h \
-		function_hash.h \
-		function_hash.stamp-h \
-		sql_yacc.output \
-		symbol_hash.h \
-		symbol_hash.stamp-h \
-		$(PCHHEADERS) \
-		$(nodist_drizzled_SOURCES)
-
-DISTCLEANFILES = $(EXTRA_PROGRAMS) \
-		 $(BUILT_MAINT_SRC)
-
-MAINTAINERCLEANFILES = $(BUILT_MAINT_SRC)
-
-probes.h: probes.d
-	$(DTRACE) $(DTRACEFLAGS) -h -s probes.d
-	mv probes.h probes.h.bak
-	sed "s/#include <unistd.h>//g" probes.h.bak > probes.h
-	rm probes.h.bak
-
-
-SUFFIXES = .d .gch .gperf .stamp-h
-
-if BUILD_GCC_PCH
-.h.gch:
-	$(CXXCOMPILE) -include config.h ${NO_UNUSED_MACROS} -c $<
-endif
-
-.d.o : $(DTRACEFILES)
-	$(DTRACE) $(DTRACEFLAGS) -G -s $< $(DTRACEFILES)
-
-function_hash.h: function_hash.stamp-h
-symbol_hash.h: symbol_hash.stamp-h
-
-.gperf.stamp-h:
-	$(GPERF) --initializer-suffix=,0 --struct-type --enum \
-		--omit-struct-type --readonly-tables --language=C++ \
-		--class-name=$* $<  > $@
-	@if ! test $$? ; then rm $@ ; fi
-	@if test -f $@ ; then \
-		if ! diff $@ \
-			   ${top_builddir}/drizzled/$*.h >/dev/null 2>&1 ; \
-		then \
-			cp $@ ${top_builddir}/drizzled/$*.h ; \
-		fi \
-	fi
-

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-04-25 19:58:14 +0000
+++ drizzled/drizzled.cc	2009-04-26 16:53:32 +0000
@@ -57,7 +57,7 @@
 # endif
 #endif
 
-#include <storage/myisam/ha_myisam.h>
+#include <plugin/myisam/ha_myisam.h>
 
 #ifdef HAVE_SYS_PRCTL_H
 #include <sys/prctl.h>
@@ -2474,9 +2474,8 @@
    (char**) &opt_plugin_dir_ptr, (char**) &opt_plugin_dir_ptr, 0,
    GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"plugin_load", OPT_PLUGIN_LOAD,
-   N_("Optional colon (or semicolon) separated list of plugins to load,"
-      "where each plugin is identified by the name of the shared library. "
-      "[for example: --plugin_load=libmd5udf.so:libauth_pam.so]"),
+   N_("Optional comma separated list of plugins to load at starup."
+      "[for example: --plugin_load=crc32,logger_gearman]"),
    (char**) &opt_plugin_load, (char**) &opt_plugin_load, 0,
    GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"preload_buffer_size", OPT_PRELOAD_BUFFER_SIZE,

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-04-17 02:52:53 +0000
+++ drizzled/handler.h	2009-04-26 16:53:32 +0000
@@ -25,7 +25,7 @@
 
 /* Definitions for parameters to do with handler-routines */
 
-#include <storage/myisam/keycache.h>
+#include <plugin/myisam/keycache.h>
 #include <mysys/thr_lock.h>
 #include <mysys/hash.h>
 #include <drizzled/sql_string.h>

=== modified file 'drizzled/message/Makefile.am'
--- drizzled/message/Makefile.am	2009-04-10 17:06:20 +0000
+++ drizzled/message/Makefile.am	2009-04-25 19:44:53 +0000
@@ -23,15 +23,16 @@
 TESTS_ENVIRONMENT = BINDIR=${top_builddir}/drizzled/message sh
 TESTS = check_length.sh
 
-noinst_PROGRAMS = table_reader \
-									table_writer \
-									transaction_reader \
-									transaction_writer \
-									master_list_reader \
-									master_list_writer \
-									binlog_reader \
-									binlog_writer \
-									schema_reader
+noinst_PROGRAMS = \
+		table_reader \
+		table_writer \
+		transaction_reader \
+		transaction_writer \
+		master_list_reader \
+		master_list_writer \
+		binlog_reader \
+		binlog_writer \
+		schema_reader
 
 check_PROGRAMS = length
 
@@ -78,29 +79,32 @@
 
 length_SOURCES = length.cc
 
-EXTRA_DIST = schema.proto \
-						 table.proto \
-						 binary_log.proto \
-						 master_list.proto \
-						 transaction.proto \
-						 check_length.sh
-
-BUILT_SOURCES = schema.pb.h \
-								table.pb.h \
-								binary_log.pb.h \
-								transaction.pb.h \
-								master_list.pb.h
-
-CLEANFILES =  binary_log.pb.h \
-              binary_log.pb.cc \
-              schema.pb.h \
-              schema.pb.cc \
-              table.pb.h \
-              table.pb.cc \
-	      			transaction.pb.h \
-              transaction.pb.cc \
-              master_list.pb.h \
-              master_list.pb.cc
+EXTRA_DIST = \
+		schema.proto \
+		table.proto \
+		binary_log.proto \
+		master_list.proto \
+		transaction.proto \
+		check_length.sh
+
+BUILT_SOURCES = \
+		schema.pb.h \
+		table.pb.h \
+		binary_log.pb.h \
+		transaction.pb.h \
+		master_list.pb.h
+
+CLEANFILES = \
+		binary_log.pb.h \
+		binary_log.pb.cc \
+		schema.pb.h \
+		schema.pb.cc \
+		table.pb.h \
+		table.pb.cc \
+		transaction.pb.h \
+		transaction.pb.cc \
+		master_list.pb.h \
+		master_list.pb.cc
 
 SUFFIXES = .proto .pb.cc .pb.h
 .proto.pb.cc:

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-04-17 01:45:33 +0000
+++ drizzled/session.h	2009-04-26 16:53:32 +0000
@@ -1256,7 +1256,7 @@
 
 
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 
 #include <drizzled/tmp_table_param.h>
 

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-04-11 17:47:02 +0000
+++ drizzled/set_var.cc	2009-04-25 06:33:32 +0000
@@ -53,7 +53,7 @@
 
 #include <drizzled/server_includes.h>
 #include <mysys/my_getopt.h>
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/tztime.h>

=== removed file 'drizzled/sql_builtin.cc.in'
--- drizzled/sql_builtin.cc.in	2009-04-11 00:30:51 +0000
+++ drizzled/sql_builtin.cc.in	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-/* Copyright (C) 2006 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
-
-#include <drizzled/server_includes.h>
-#include <drizzled/plugin.h>
-
-typedef struct drizzled_plugin_manifest builtin_plugin[];
-
-extern builtin_plugin 
-  @drizzled_plugin_defs@;
-
-struct drizzled_plugin_manifest *mysqld_builtins[]=
-{
-  @drizzled_plugin_defs@,(struct drizzled_plugin_manifest *)0
-};
-

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2009-04-11 00:30:51 +0000
+++ drizzled/sql_plugin.cc	2009-04-26 00:50:57 +0000
@@ -43,10 +43,16 @@
 #define REPORT_TO_USER 2
 
 using namespace std;
-
-extern struct drizzled_plugin_manifest *mysqld_builtins[];
+ 
+typedef struct drizzled_plugin_manifest builtin_plugin[];
+extern builtin_plugin DRIZZLED_BUILTIN_LIST;
+static drizzled_plugin_manifest *drizzled_builtins[]=
+{
+  DRIZZLED_BUILTIN_LIST,(struct drizzled_plugin_manifest *)0
+};
 
 char *opt_plugin_load= NULL;
+const char *opt_plugin_load_default= QUOTE_ARG(DRIZZLED_PLUGIN_LIST);
 char *opt_plugin_dir_ptr;
 char opt_plugin_dir[FN_REFLEN];
 static const char *plugin_declarations_sym= "_mysql_plugin_declarations_";
@@ -601,7 +607,7 @@
   /*
     First we register builtin plugins
   */
-  for (builtins= mysqld_builtins; *builtins; builtins++)
+  for (builtins= drizzled_builtins; *builtins; builtins++)
   {
     for (plugin= *builtins; plugin->name; plugin++)
     {

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2009-03-10 22:27:47 +0000
+++ drizzled/sql_select.h	2009-04-25 06:33:32 +0000
@@ -38,7 +38,7 @@
 /* PREV_BITS only used in sql_select.cc */
 #define PREV_BITS(type,A)	((type) (((type) 1 << (A)) -1))
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/sql_array.h>
 
 /* Values in optimize */

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-04-12 07:28:35 +0000
+++ drizzled/sql_table.cc	2009-04-25 06:33:32 +0000
@@ -16,7 +16,7 @@
 /* drop and alter of tables */
 
 #include <drizzled/server_includes.h>
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/show.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2009-04-17 02:13:52 +0000
+++ drizzled/table.h	2009-04-26 16:53:32 +0000
@@ -23,7 +23,7 @@
 #ifndef DRIZZLED_TABLE_H
 #define DRIZZLED_TABLE_H
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 #include <drizzled/order.h>
 #include <drizzled/filesort_info.h>
 #include <drizzled/natural_join_column.h>

=== removed file 'm4/plugins.m4'
--- m4/plugins.m4	2009-04-11 00:30:51 +0000
+++ m4/plugins.m4	1970-01-01 00:00:00 +0000
@@ -1,814 +0,0 @@
-dnl ===========================================================================
-dnl Support for mysql server plugins
-dnl ===========================================================================
-dnl
-dnl WorkLog#3201
-dnl
-dnl Framework for pluggable static and dynamic plugins for mysql
-dnl
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN([name],[Plugin name],
-dnl                [Plugin description],
-dnl                [group,group...])
-dnl   
-dnl DESCRIPTION
-dnl   First declaration for a plugin (mandatory).
-dnl   Adds plugin as member to configuration groups (if specified)
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN],[
- _DRIZZLE_PLUGIN(
-  [$1],
-  [__DRIZZLE_PLUGIN_]AS_TR_CPP([$1])[__],
-  m4_default([$2], [$1 plugin]),
-  m4_default([$3], [plugin for $1]),
-  m4_default([$4], []),
- )
-])
-
-AC_DEFUN([_DRIZZLE_PLUGIN],[
- m4_ifdef([$2], [
-  AC_FATAL([Duplicate DRIZZLE_PLUGIN declaration for $3])
- ],[
-  m4_define([$2], [$1])
-  _DRIZZLE_PLUGAPPEND([__mysql_plugin_list__],[$1])
-  m4_define([DRIZZLE_PLUGIN_NAME_]AS_TR_CPP([$1]), [$3])
-  m4_define([DRIZZLE_PLUGIN_DESC_]AS_TR_CPP([$1]), [$4])
-  _DRIZZLE_PLUGAPPEND_META([$1], $5)
-  ifelse(m4_bregexp(__mysql_include__,[/plug\.in$]),-1,[],[
-     DRIZZLE_PLUGIN_DIRECTORY([$1],
-         m4_bregexp(__mysql_include__,[^\(.*\)/plug\.in$],[\1]))
-  ])
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_STORAGE_ENGINE
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_STORAGE_ENGINE([name],[legacy-option],[Storage engine name],
-dnl                        [Storage engine description],[group,group...])
-dnl
-dnl DESCRIPTION
-dnl   Short cut for storage engine declarations
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_STORAGE_ENGINE],[
- DRIZZLE_PLUGIN([$1], [$3], [$4], [[$5]])
- DRIZZLE_PLUGIN_DEFINE([$1], [WITH_]AS_TR_CPP([$1])[_STORAGE_ENGINE])
- ifelse([$2],[no],[],[
-  _DRIZZLE_LEGACY_STORAGE_ENGINE(
-      m4_bpatsubst([$1], -, _),
-      m4_bpatsubst(m4_default([$2], [$1-storage-engine]), -, _))
- ])
-])
-
-AC_DEFUN([_DRIZZLE_LEGACY_STORAGE_ENGINE],[
-if test "[${with_]$2[+set}]" = set; then
-  [with_plugin_]$1="[$with_]$2"
-fi
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DEFINE
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DEFINE([name],[DRIZZLE_CPP_DEFINE])
-dnl
-dnl DESCRIPTION
-dnl   When a plugin is to be statically linked, define the C macro
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DEFINE],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_define([DRIZZLE_PLUGIN_DEFINE_]AS_TR_CPP([$1]), [$2])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DIRECTORY
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DIRECTORY([name],[plugin/dir])
-dnl
-dnl DESCRIPTION
-dnl   Adds a directory to the build process
-dnl   if it contains 'configure' it will be picked up automatically
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DIRECTORY],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_define([DRIZZLE_PLUGIN_DIRECTORY_]AS_TR_CPP([$1]), [$2])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_STATIC
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_STATIC([name],[libmyplugin.a])
-dnl
-dnl DESCRIPTION
-dnl   Declare the name for the static library 
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_STATIC],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_define([DRIZZLE_PLUGIN_STATIC_]AS_TR_CPP([$1]), [$2])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DYNAMIC
-dnl
-dnl SYNOPSIS
-dnl  DRIZZLE_PLUGIN_DYNAMIC([name],[myplugin.la])
-dnl
-dnl DESCRIPTION
-dnl   Declare the name for the shared library
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DYNAMIC],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_define([DRIZZLE_PLUGIN_DYNAMIC_]AS_TR_CPP([$1]), [$2])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_MANDATORY
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_MANDATORY([name])
-dnl
-dnl DESCRIPTION
-dnl   Marks the specified plugin as a mandatory plugin
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_MANDATORY],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- _DRIZZLE_PLUGIN_MANDATORY([$1],
-  [DRIZZLE_PLUGIN_MANDATORY_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1])
- )
-])
-
-AC_DEFUN([_DRIZZLE_PLUGIN_MANDATORY],[
- m4_define([$2], [yes])
- m4_ifdef([$3], [
-  AC_FATAL([mandatory plugin $1 has been disabled])
-  m4_undefine([$2])
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DISABLED
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DISABLED([name])
-dnl
-dnl DESCRIPTION
-dnl   Marks the specified plugin as a disabled plugin
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DISABLED],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- _DRIZZLE_PLUGIN_DISABLED([$1], 
-  [DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_MANDATORY_]AS_TR_CPP([$1])
- )
-])
-
-AC_DEFUN([_DRIZZLE_PLUGIN_DISABLED],[
- m4_define([$2], [yes])
- m4_ifdef([$3], [
-  AC_FATAL([attempt to disable mandatory plugin $1])
-  m4_undefine([$2])
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DEPENDS
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DEPENDS([name],[prereq,prereq...])
-dnl
-dnl DESCRIPTION
-dnl   Enables other plugins neccessary for the named plugin
-dnl   Dependency checking is not recursive so if any 
-dnl   required plugin requires further plugins, list them
-dnl   here too!
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DEPENDS],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- ifelse($#, 2, [
-  _DRIZZLE_PLUGIN_DEPEND([$1], $2)
- ], [
-  AC_FATAL([bad number of arguments])
- ])
-])
-
-AC_DEFUN([_DRIZZLE_PLUGIN_DEPEND],[
- ifelse($#, 1, [], [$#:$2], [2:], [], [
-  DRIZZLE_REQUIRE_PLUGIN([$2])
-  _DRIZZLE_PLUGAPPEND([__mysql_plugdepends_$1__],[$2])
-  _DRIZZLE_PLUGIN_DEPEND([$1], m4_shift(m4_shift($@)))
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_ACTIONS
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_ACTIONS([name],[PLUGIN_CONFIGURE_STUFF])
-dnl
-dnl DESCRIPTION
-dnl   Declares additional autoconf actions required to configure the plugin
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_ACTIONS],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_ifdef([$2],[
-   m4_define([DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1]),m4_defn([$2]))
- ],[
-   m4_define([DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1]), [$2])
- ])
-])
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS([name],[file name])
-dnl
-dnl DESCRIPTION
-dnl   Some modules in plugins keep dependance on structures
-dnl   declared in sql/ (THD class usually)
-dnl   That has to be fixed in the future, but until then
-dnl   we have to recompile these modules when we want to
-dnl   to compile server parts with the different #defines
-dnl   Normally it happens when we compile the embedded server
-dnl   Thus one should mark such files in his handler using this macro
-dnl    (currently only one such a file per plugin is supported)
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS],[
- DRIZZLE_REQUIRE_PLUGIN([$1])
- m4_define([DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS_]AS_TR_CPP([$1]), [$2])
-])
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: DRIZZLE_CONFIGURE_PLUGINS
-dnl
-dnl SYNOPSIS
-dnl   DRIZZLE_PLUGIN_DEPENDS([name,name...])
-dnl
-dnl DESCRIPTION
-dnl   Used last, emits all required shell code to configure the plugins
-dnl   Argument is a list of default plugins or meta-plugin
-dnl
-dnl ---------------------------------------------------------------------------
-
-AC_DEFUN([DRIZZLE_CONFIGURE_PLUGINS],[
- m4_ifdef([__mysql_plugin_configured__],[
-   AC_FATAL([cannot use [DRIZZLE_CONFIGURE_PLUGINS] multiple times])
- ],[
-   m4_define([__mysql_plugin_configured__],[done])
-   _DRIZZLE_INCLUDE_LIST(
-   m4_bpatsubst(m4_esyscmd([ls plugin/*/plug.in storage/*/plug.in 2>/dev/null]),
-[[ 
-]],[,]))
-   m4_ifdef([__mysql_plugin_list__],[
-    _DRIZZLE_CHECK_PLUGIN_ARGS([$1])
-    _DRIZZLE_CONFIGURE_PLUGINS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
-    _DRIZZLE_EMIT_PLUGIN_ACTIONS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
-    AC_SUBST([drizzle_plugin_files])
-    AC_SUBST([mysql_se_dirs])
-    AC_SUBST([mysql_pg_dirs])
-    AC_SUBST([mysql_se_unittest_dirs])
-    AC_SUBST([mysql_pg_unittest_dirs])
-    AC_SUBST([condition_dependent_plugin_modules])
-    AC_SUBST([condition_dependent_plugin_objects])
-    AC_SUBST([condition_dependent_plugin_links])
-    AC_SUBST([condition_dependent_plugin_includes])
-   ])
- ])
-])
-
-AC_DEFUN([_DRIZZLE_CONFIGURE_PLUGINS],[
- ifelse($#, 0, [], $#, 1, [
-  _DRIZZLE_EMIT_CHECK_PLUGIN([$1])
- ],[
-  _DRIZZLE_EMIT_CHECK_PLUGIN([$1])
-  _DRIZZLE_CONFIGURE_PLUGINS(m4_shift($@))
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_CHECK_PLUGIN],[
- __DRIZZLE_EMIT_CHECK_PLUGIN(
-  [$1],
-  m4_bpatsubst([$1], -, _),
-  [DRIZZLE_PLUGIN_NAME_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DESC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DEFINE_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DIRECTORY_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_STATIC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DYNAMIC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_MANDATORY_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1])
- )
-])
-
-AC_DEFUN([__DRIZZLE_EMIT_CHECK_PLUGIN],[
- m4_ifdef([$5],[
-  AH_TEMPLATE($5, [Include ]$4[ into drizzled])
- ])
- AC_MSG_CHECKING([whether to use ]$3)
- mysql_use_plugin_dir=""
- m4_ifdef([$10],[
-  if test "X[$mysql_plugin_]$2" = Xyes -a \
-          "X[$with_plugin_]$2" != Xno -o \
-          "X[$with_plugin_]$2" = Xyes; then
-    AC_MSG_RESULT([error])
-    AC_MSG_ERROR([disabled])
-  fi
-  AC_MSG_RESULT([no])
- ],[
-  m4_ifdef([$9],[
-   if test "X[$with_plugin_]$2" = Xno; then
-     AC_MSG_RESULT([error])
-     AC_MSG_ERROR([cannot disable mandatory plugin])
-   fi
-   [mysql_plugin_]$2=yes
-  ],[
-   case "$with_mysqld_ldflags " in
-     *"-all-static "*)
-       # No need to build shared plugins when drizzled is linked with
-       # -all-static as it won't be able to load them.
-       if test "X[$mysql_plugin_]$2" != Xyes -a \
-               "X[$with_plugin_]$2" != Xyes; then
-	     [with_plugin_]$2=no
-	   fi
-     ;;
-   esac
-  ])
-  if test "X[$with_plugin_]$2" = Xno; then
-    AC_MSG_RESULT([no])
-  else
-    m4_ifdef([$8],m4_ifdef([$7],[],[[with_plugin_]$2='']))
-    if test "X[$mysql_plugin_]$2" != Xyes -a \
-            "X[$with_plugin_]$2" != Xyes; then
-      m4_ifdef([$8],[
-       m4_ifdef([$6],[
-         if test -d "$srcdir/$6" ; then
-           mysql_use_plugin_dir="$6"
-       ])
-       AC_SUBST([plugin_]$2[_shared_target], "$8")
-       AC_SUBST([plugin_]$2[_static_target], [""])
-       [with_plugin_]$2=yes
-       AC_MSG_RESULT([plugin])
-       m4_ifdef([$6],[
-         else
-           [mysql_plugin_]$2=no
-           AC_MSG_RESULT([no])
-         fi
-       ])
-      ],[
-       [with_plugin_]$2=no
-       AC_MSG_RESULT([no])
-      ])
-    else
-      m4_ifdef([$7],[
-       ifelse(m4_bregexp($7, [^lib[^.]+\.a$]), -2, [
-dnl change above "-2" to "0" to enable this section
-dnl Although this is "pretty", it breaks libdrizzled build
-        m4_ifdef([$6],[
-         mysql_use_plugin_dir="$6"
-         mysql_plugin_libs="$mysql_plugin_libs -L[\$(top_builddir)]/$6"
-        ])
-        mysql_plugin_libs="$mysql_plugin_libs dnl
-[-l]m4_bregexp($7, [^lib\([^.]+\)], [\1])"
-       ], m4_bregexp($7, [^\\\$]), 0, [
-        m4_ifdef([$6],[
-         mysql_use_plugin_dir="$6"
-        ])
-        mysql_plugin_libs="$mysql_plugin_libs $7"
-       ], [
-        m4_ifdef([$6],[
-         mysql_use_plugin_dir="$6"
-         mysql_plugin_libs="$mysql_plugin_libs \$(top_builddir)/$6/$7"
-        ],[
-         mysql_plugin_libs="$mysql_plugin_libs $7"
-        ])
-       ])
-       m4_ifdef([$5],[
-        AC_DEFINE($5)
-       ])
-       AC_SUBST([plugin_]$2[_static_target], "$7")
-       AC_SUBST([plugin_]$2[_shared_target], [""])
-      ],[
-       m4_ifdef([$6],[
-        AC_MSG_RESULT([error])
-        AC_MSG_ERROR([Plugin $1 does not support static linking])
-       ],[
-        m4_ifdef([$5],[
-         AC_DEFINE($5)
-         AC_SUBST([plugin_]$2[_static_target], ["yes"])
-         AC_SUBST([plugin_]$2[_shared_target], [""])
-        ])
-       ])
-      ])
-      drizzled_plugin_defs="[builtin_]$2[_plugin], $drizzled_plugin_defs"
-      [with_plugin_]$2=yes
-      AC_MSG_RESULT([yes])
-      m4_ifdef([$11],[
-       condition_dependent_plugin_modules="$condition_dependent_plugin_modules m4_bregexp($11, [[^/]+$], [\&])"
-       condition_dependent_plugin_objects="$condition_dependent_plugin_objects m4_bregexp($11, [[^/]+\.], [\&o])"
-       condition_dependent_plugin_links="$condition_dependent_plugin_links $6/$11"
-       condition_dependent_plugin_includes="$condition_dependent_plugin_includes -I[\$(top_srcdir)]/$6/m4_bregexp($11, [^.+[/$]], [\&])"
-      ])
-    fi
-    m4_ifdef([$6],[
-      if test -n "$mysql_use_plugin_dir" ; then
-        mysql_plugin_dirs="$mysql_plugin_dirs $6"
-        m4_syscmd(test -f "$6/configure")
-        ifelse(m4_sysval, 0,
-          [AC_CONFIG_SUBDIRS($6)],
-          [AC_CONFIG_FILES($6/Makefile)]
-        )
-        ifelse(m4_substr($6, 0, 8), [storage/],
-          [
-            [mysql_se_dirs="$mysql_se_dirs ]m4_substr($6, 8)"
-             mysql_se_unittest_dirs="$mysql_se_unittest_dirs ../$6"
-          ],
-          m4_substr($6, 0, 7), [plugin/],
-          [
-            [mysql_pg_dirs="$mysql_pg_dirs ]m4_substr($6, 7)"
-             mysql_pg_unittest_dirs="$mysql_pg_unittest_dirs ../$6"
-          ],
-          [AC_FATAL([don't know how to handle plugin dir ]$6)])
-      fi
-    ])
-  fi
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGIN_ACTIONS],[
- ifelse($#, 0, [], $#, 1, [
-  _DRIZZLE_EMIT_PLUGIN_ACTION([$1])
- ],[
-  _DRIZZLE_EMIT_PLUGIN_ACTION([$1])
-  _DRIZZLE_EMIT_PLUGIN_ACTIONS(m4_shift($@))
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGIN_ACTION],[
- __DRIZZLE_EMIT_PLUGIN_ACTION(
-  [$1],
-  m4_bpatsubst([$1], -, _),
-  [DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1])
- )
-])
-
-
-AC_DEFUN([__DRIZZLE_EMIT_PLUGIN_ACTION],[
- m4_ifdef([$3], [], [
-  if test "X[$with_plugin_]$2" = Xyes; then
-    if test "X[$plugin_]$2[_static_target]" = X -a \
-            "X[$plugin_]$2[_shared_target]" = X; then
-      AC_MSG_ERROR([that's strange, $1 failed sanity check])
-    fi
-    $4
-  fi
- ])
-])
-
-
-
-dnl ===========================================================================
-dnl  Private helper macros
-dnl ===========================================================================
-
-
-dnl SYNOPSIS
-dnl   DRIZZLE_REQUIRE_PLUGIN([name])
-dnl
-dnl DESCRIPTION
-dnl   Checks that the specified plugin does exist
-
-AC_DEFUN([DRIZZLE_REQUIRE_PLUGIN],[
- _DRIZZLE_REQUIRE_PLUGIN([$1], [__DRIZZLE_PLUGIN_]AS_TR_CPP([$1])[__])
-])
-
-define([_DRIZZLE_REQUIRE_PLUGIN],[
- ifdef([$2],[
-  ifelse($2, [$1], [], [
-   AC_FATAL([Misspelt DRIZZLE_PLUGIN declaration for $1])
-  ])
- ],[
-  AC_FATAL([Missing DRIZZLE_PLUGIN declaration for $1])
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-
-
-dnl SYNOPSIS
-dnl   _DRIZZLE_EMIT_METAPLUGINS([name,name...])
-dnl
-dnl DESCRIPTION
-dnl   Emits shell code for metaplugins
-
-AC_DEFUN([_DRIZZLE_EMIT_METAPLUGINS], [ifelse($#, 0, [], $#, 1,
-[_DRIZZLE_EMIT_METAPLUGIN([$1], [__mysql_]m4_bpatsubst($1, -, _)[_plugins__])
-],
-[_DRIZZLE_EMIT_METAPLUGIN([$1], [__mysql_]m4_bpatsubst($1, -, _)[_plugins__])
-_DRIZZLE_EMIT_METAPLUGINS(m4_shift($@))])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_METAPLUGIN], [
-  [$1] )
-m4_ifdef([$2], [
-    mysql_plugins='m4_bpatsubst($2, :, [ ])'
-],[
-    mysql_plugins=''
-])
-    ;;
-])
-
-
-dnl ---------------------------------------------------------------------------
-
-
-dnl SYNOPSIS
-dnl   _DRIZZLE_PLUGAPPEND([name],[to-append])
-dnl
-dnl DESCRIPTION
-dnl   Helper macro for appending to colon-delimited lists
-dnl   Optinal 3rd argument is for actions only required when defining
-dnl   macro named for the first time.
-
-AC_DEFUN([_DRIZZLE_PLUGAPPEND],[
- m4_ifdef([$1],[
-  m4_define([__plugin_append_tmp__], m4_defn([$1]))
-  m4_undefine([$1])
-  m4_define([$1], __plugin_append_tmp__[:$2])
-  m4_undefine([__plugin_append_tmp__])
- ],[
-  m4_define([$1], [$2])
-  $3
- ])
-])
-
-
-dnl SYNOPSIS
-dnl   _DRIZZLE_PLUGAPPEND_META([name],[meta,meta...])
-dnl
-dnl DESCRIPTION
-dnl   Helper macro for adding plugins to meta plugins
-
-AC_DEFUN([_DRIZZLE_PLUGAPPEND_META],[
- ifelse($#, 1, [], [$#:$2], [2:], [], [$2], [all], [
-  AC_FATAL([protected plugin group: all])
- ], [$2], [none], [
-  AC_FATAL([protected plugin group: none])
- ],[
-  _DRIZZLE_PLUGAPPEND([__mysql_$1_configs__],[$2])
-  _DRIZZLE_PLUGAPPEND([__mysql_]m4_bpatsubst($2, -, _)[_plugins__],[$1], [
-   _DRIZZLE_PLUGAPPEND([__mysql_metaplugin_list__],[$2])
-  ])
-  _DRIZZLE_PLUGAPPEND_META([$1], m4_shift(m4_shift($@)))
- ])
-])
-
-
-dnl ---------------------------------------------------------------------------
-
-
-dnl SYNOPSIS
-dnl   DRIZZLE_LIST_PLUGINS
-dnl
-dnl DESCRIPTION
-dnl   Emits formatted list of declared plugins
-
-AC_DEFUN([DRIZZLE_LIST_PLUGINS],[dnl
- m4_ifdef([__mysql_plugin_list__],[dnl
-  _DRIZZLE_LIST_PLUGINS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))dnl
- ])dnl
-])
-
-AC_DEFUN([_DRIZZLE_LIST_PLUGINS],[dnl
- ifelse($#, 0, [], $#, 1, [dnl
-  DRIZZLE_SHOW_PLUGIN([$1])dnl
- ],[dnl
-  DRIZZLE_SHOW_PLUGIN([$1])dnl
-  _DRIZZLE_LIST_PLUGINS(m4_shift($@))dnl
- ])dnl
-])
-
-AC_DEFUN([DRIZZLE_SHOW_PLUGIN],[
- _DRIZZLE_SHOW_PLUGIN(
-  [$1],
-  [$1-plugin],
-  [DRIZZLE_PLUGIN_NAME_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DESC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DEFINE_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DIRECTORY_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_STATIC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DYNAMIC_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_MANDATORY_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),
-  [DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1]),
-  __mysql_[$1]_configs__,
- )
-])
-
-AC_DEFUN([_DRIZZLE_SHOW_PLUGIN],[dnl
-  === $3 ===
-  Plugin Name:      [$1]
-  Description:      $4
-  Supports build:   _PLUGIN_BUILD_TYPE([$7],[$8])[]dnl
-m4_ifdef([$12],[
-  Configurations:   m4_bpatsubst($12, :, [, ])])[]dnl
-m4_ifdef([$10],[
-  Status:           disabled])[]dnl
-m4_ifdef([$9],[
-  Status:           mandatory])[]dnl
-])
-
-AC_DEFUN([_PLUGIN_BUILD_TYPE],
-[m4_ifdef([$1],[static ]m4_ifdef([$2],[and dnl
-]))[]m4_ifdef([$2],[dynamic],[m4_ifdef([$1],[],[static])])])
-
-
-dnl ---------------------------------------------------------------------------
-
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGINS],[
- ifelse($#, 0, [], [$#:$1], [1:], [], [
-  m4_ifdef([DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1]), [], [
-   m4_define([DRIZZLE_PLUGIN_ACTIONS_]AS_TR_CPP([$1]),[ ])
-  ])
-    [$1] )
-  m4_ifdef([DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),[
-      AC_MSG_ERROR([plugin $1 is disabled])
-  ],[
-    _DRIZZLE_EMIT_PLUGIN_ENABLE([$1], m4_bpatsubst([$1], -, _),
-      [DRIZZLE_PLUGIN_NAME_]AS_TR_CPP([$1]),
-      [DRIZZLE_PLUGIN_STATIC_]AS_TR_CPP([$1]),
-      [DRIZZLE_PLUGIN_DYNAMIC_]AS_TR_CPP([$1]))
-  ])
-      ;;
-  _DRIZZLE_EMIT_PLUGINS(m4_shift($@))
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGIN_ENABLE],[
-    m4_ifdef([$5],m4_ifdef([$4],[
-      [mysql_plugin_]$2=yes
-    ],[
-      AC_MSG_WARN([$3 can only be built as a plugin])
-    ]),[
-      [mysql_plugin_]$2=yes
-    ])      
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGIN_DEPENDS], [
- ifelse($#, 0, [], [$#:$1], [1:], [], [
-  _DRIZZLE_EMIT_CHECK_DEPENDS(m4_bpatsubst([$1], -, _), 
-                            [__mysql_plugdepends_$1__])
-  _DRIZZLE_EMIT_PLUGIN_DEPENDS(m4_shift($@))
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_CHECK_DEPENDS], [
- m4_ifdef([$2], [
-   if test "X[$mysql_plugin_]$1" = Xyes -a \
-           "X[$with_plugin_]$1" != Xno -o \
-           "X[$with_plugin_]$1" = Xyes; then
-     _DRIZZLE_EMIT_PLUGIN_DEPENDENCIES(m4_bpatsubst($2, :, [,]))
-   fi
- ])
-])
-
-AC_DEFUN([_DRIZZLE_EMIT_PLUGIN_DEPENDENCIES], [
- ifelse([$1], [], [], [
-  m4_ifdef([DRIZZLE_PLUGIN_DISABLED_]AS_TR_CPP([$1]),[
-       AC_MSG_ERROR([depends upon disabled plugin $1])
-  ],[
-       [mysql_plugin_]m4_bpatsubst([$1], -, _)=yes
-       if test "X[$with_plugin_]m4_bpatsubst([$1], -, _)" = Xno; then
-         AC_MSG_ERROR([depends upon disabled plugin $1])
-       fi
-  ])
-  _DRIZZLE_EMIT_PLUGIN_DEPENDENCIES(m4_shift($@))
- ])
-])
-
-dnl SYNOPSIS
-dnl   _DRIZZLE_CHECK_PLUGIN_ARGS([plugin],[plugin]...)
-dnl
-dnl DESCRIPTION
-dnl   Emits shell script for checking configure arguments
-dnl   Arguments to this macro is default value for selected plugins
-
-AC_DEFUN([_DRIZZLE_CHECK_PLUGIN_ARGS],[
- __DRIZZLE_CHECK_PLUGIN_ARGS(m4_default([$1], [none]))
-])
-
-AC_DEFUN([__DRIZZLE_CHECK_PLUGIN_ARGS],[
- AC_ARG_WITH([plugins],
-AS_HELP_STRING([--with-plugins=PLUGIN[[[[[,PLUGIN..]]]]]],
-               [Plugins to include in drizzled. (default is: $1) Must be a
-                configuration name or a comma separated list of plugins.])
-AS_HELP_STRING([],
-               [Available configurations are:] dnl
-m4_bpatsubst([none:]m4_ifdef([__mysql_metaplugin_list__],
-             __mysql_metaplugin_list__:)[all], :, [ ])[.])
-AS_HELP_STRING([],
-               [Available plugins are:] dnl
-m4_bpatsubst(__mysql_plugin_list__, :, [ ])[.])
-AS_HELP_STRING([--without-plugin-PLUGIN],
-               [Disable the named plugin from being built. Otherwise, for
-                plugins which are not selected for inclusion in drizzled will be
-                built dynamically (if supported)])
-AS_HELP_STRING([--with-plugin-PLUGIN],
-               [Forces the named plugin to be linked into drizzled statically.]),
- [mysql_plugins="`echo $withval | tr ',.:;*[]' '       '`"],
- [mysql_plugins=['$1']])
-
-m4_divert_once([HELP_VAR_END],[
-Description of plugins:
-DRIZZLE_LIST_PLUGINS])
-
-  case "$mysql_plugins" in
-  all )
-    mysql_plugins='m4_bpatsubst(__mysql_plugin_list__, :, [ ])'
-    ;;
-  none )
-    mysql_plugins=''
-    ;;
-m4_ifdef([__mysql_metaplugin_list__],[
-_DRIZZLE_EMIT_METAPLUGINS(m4_bpatsubst(__mysql_metaplugin_list__, :, [,]))
-])
-  esac
-
-  for plugin in $mysql_plugins; do
-    case "$plugin" in
-    all | none )
-      AC_MSG_ERROR([bad plugin name: $plugin])
-      ;;
-_DRIZZLE_EMIT_PLUGINS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
-    * )
-      AC_MSG_ERROR([unknown plugin: $plugin])
-      ;;
-    esac
-  done
-
-  _DRIZZLE_EMIT_PLUGIN_DEPENDS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
-])
-
-dnl ---------------------------------------------------------------------------
-dnl Macro: _DRIZZLE_INCLUDE_LIST
-dnl
-dnl SYNOPSIS
-dnl   _DRIZZLE_INCLUDE_LIST([filename,filename...])
-dnl
-dnl DESCRIPTION
-dnl   includes all files from the list
-dnl
-dnl ---------------------------------------------------------------------------
-AC_DEFUN([_DRIZZLE_INCLUDE_LIST],[
- ifelse([$1], [], [], [
-  m4_define([__mysql_include__],[$1])
-  m4_sinclude($1)
-  m4_undefine([__mysql_include__])
-  _DRIZZLE_INCLUDE_LIST(m4_shift($@))
-  drizzle_plugin_files="\${top_srcdir}/$1 ${drizzle_plugin_files}"
- ])
-])
-
-dnl ===========================================================================

=== modified file 'mystrings/decimal.cc'
--- mystrings/decimal.cc	2008-12-16 02:39:00 +0000
+++ mystrings/decimal.cc	2009-04-25 06:33:32 +0000
@@ -103,7 +103,7 @@
 #include "m_ctype.h"
 #include "decimal.h"
 
-#include <storage/myisam/myisampack.h>
+#include <plugin/myisam/myisampack.h>
 #include <drizzled/util/test.h>
 
 #include <alloca.h>

=== modified file 'mysys/ptr_cmp.cc'
--- mysys/ptr_cmp.cc	2009-04-17 21:01:47 +0000
+++ mysys/ptr_cmp.cc	2009-04-26 16:53:32 +0000
@@ -20,7 +20,7 @@
   */
 
 #include "mysys/mysys_priv.h"
-#include <storage/myisam/myisampack.h>
+#include "plugin/myisam/myisampack.h"
 
 static int ptr_compare(size_t *compare_length, unsigned char **a, unsigned char **b);
 static int ptr_compare_0(size_t *compare_length, unsigned char **a, unsigned char **b);

=== removed file 'plugin/Makefile.am'
--- plugin/Makefile.am	2008-12-16 00:42:22 +0000
+++ plugin/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-# Copyright (C) 2005-2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-SUBDIRS =	@mysql_pg_dirs@

=== renamed directory 'storage/archive' => 'plugin/archive'
=== modified file 'plugin/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2009-04-10 23:38:17 +0000
+++ plugin/archive/ha_archive.cc	2009-04-25 20:29:54 +0000
@@ -18,11 +18,11 @@
 #include "drizzled/field.h"
 #include "drizzled/field/blob.h"
 #include "drizzled/field/timestamp.h"
-#include "storage/myisam/myisam.h"
+#include "plugin/myisam/myisam.h"
 #include "drizzled/table.h"
 #include "drizzled/session.h"
 
-#include "storage/archive/ha_archive.h"
+#include "ha_archive.h"
 
 #include <stdio.h>
 #include <string>

=== renamed file 'storage/archive/Makefile.am' => 'plugin/archive/plugin.am'
--- storage/archive/Makefile.am	2009-04-07 08:32:11 +0000
+++ plugin/archive/plugin.am	2009-04-25 23:19:30 +0000
@@ -13,56 +13,31 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-LDADD = $(LIBINTL) $(LTLIBZ)
-
-noinst_HEADERS =	ha_archive.h azio.h
-noinst_PROGRAMS	=	archive_test archive_reader archive_performance concurrency_test
-
-EXTRA_LTLIBRARIES =	ha_archive.la
-pkglib_LTLIBRARIES =	@plugin_archive_shared_target@
-ha_archive_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) $(LDADD)
-ha_archive_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-ha_archive_la_CFLAGS =	$(AM_CFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN 
-ha_archive_la_SOURCES =	ha_archive.cc azio.cc
-
-
-EXTRA_LIBRARIES =	libarchive.a
-noinst_LIBRARIES =	@plugin_archive_static_target@
-libarchive_a_CXXFLAGS =	$(AM_CXXFLAGS) 
-libarchive_a_CFLAGS =	$(AM_CFLAGS) 
-libarchive_a_SOURCES =	ha_archive.cc azio.cc
-
-archive_performance_SOURCES =	archive_performance.cc azio.cc
-archive_performance_CFLAGS =	$(AM_CFLAGS) 
-archive_performance_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystrings.la \
-			$(LDADD)
-archive_performance_LDFLAGS =
-
-archive_test_SOURCES =	archive_test.cc azio.cc
-archive_test_CFLAGS =	$(AM_CFLAGS) 
-archive_test_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystrings.la \
-			$(LDADD)
-archive_test_LDFLAGS =
-
-archive_reader_SOURCES = archive_reader.cc azio.cc
-archive_reader_CFLAGS =	$(AM_CFLAGS) 
-archive_reader_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystrings.la \
-			$(LDADD)
-archive_reader_LDFLAGS =
-
-concurrency_test_SOURCES = concurrency_test.cc azio.cc
-concurrency_test_CFLAGS =	$(AM_CFLAGS) 
-concurrency_test_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystrings.la \
-			$(LDADD)
-concurrency_test_LDFLAGS =
-
-valgrind-test: archive_test archive_performance
-	libtool --mode=execute valgrind --leak-check=yes --show-reachable=yes  ./concurrency_test
-	libtool --mode=execute valgrind --leak-check=yes --show-reachable=yes  ./archive_test
+test_archive_LDADD = $(LIBINTL) $(LTLIBZ) \
+		$(top_builddir)/plugin/libarchive_plugin.la \
+		$(top_builddir)/mysys/libmysys.la \
+		$(top_builddir)/mystrings/libmystrings.la \
+		$(LDADD)
+
+noinst_PROGRAMS+= \
+		plugin/archive/archive_test \
+		plugin/archive/archive_reader \
+		plugin/archive/archive_performance \
+		plugin/archive/concurrency_test
+
+plugin_archive_archive_performance_SOURCES= plugin/archive/archive_performance.cc
+plugin_archive_archive_performance_LDADD= $(test_archive_LDADD)
+
+plugin_archive_archive_test_SOURCES= plugin/archive/archive_test.cc 
+plugin_archive_archive_test_LDADD= $(test_archive_LDADD)
+
+plugin_archive_archive_reader_SOURCES= plugin/archive/archive_reader.cc
+plugin_archive_archive_reader_LDADD= $(test_archive_LDADD)
+
+plugin_archive_concurrency_test_SOURCES= plugin/archive/concurrency_test.cc
+plugin_archive_concurrency_test_LDADD= $(test_archive_LDADD)
+
+valgrind-test: plugin/archive/archive_test plugin/archive/archive_performance plugin/archive/concurrency_test
+	libtool --mode=execute valgrind --leak-check=yes --show-reachable=yes  ./plugin/archive/concurrency_test
+	libtool --mode=execute valgrind --leak-check=yes --show-reachable=yes  ./plugin/archive/archive_test
 	libtool --mode=execute valgrind --leak-check=yes --show-reachable=yes  ./archive_performance
-
-EXTRA_DIST =		plug.in

=== renamed file 'storage/archive/plug.in' => 'plugin/archive/plugin.ini'
--- storage/archive/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/archive/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,4 +1,7 @@
-DRIZZLE_STORAGE_ENGINE(archive,no, [Archive Storage Engine],
-        [Archive Storage Engine])
-DRIZZLE_PLUGIN_STATIC(archive,    [libarchive.a])
-DRIZZLE_PLUGIN_MANDATORY(archive)  dnl Default
+[plugin]
+name=archive
+title=Archive Storage Engine
+description=Archive Storage Engine
+load_by_default=yes
+sources=ha_archive.cc azio.cc
+headers=ha_archive.h azio.h

=== removed file 'plugin/auth_http/Makefile.am'
--- plugin/auth_http/Makefile.am	2009-04-08 01:22:11 +0000
+++ plugin/auth_http/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,13 +0,0 @@
-if BUILD_AUTH_HTTP
-
-EXTRA_LTLIBRARIES = libauth_http.la
-pkgplugin_LTLIBRARIES =	@plugin_auth_http_shared_target@
-libauth_http_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-libauth_http_la_CPPFLAGS = $(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-libauth_http_la_SOURCES = auth_http.cc
-
-EXTRA_LIBRARIES = libauth_http.a
-noinst_LIBRARIES = @plugin_auth_http_static_target@
-libauth_http_a_SOURCES = $(libauth_http_la_SOURCES)
-
-endif

=== added file 'plugin/auth_http/plugin.ac'
--- plugin/auth_http/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/auth_http/plugin.ac	2009-04-25 21:21:15 +0000
@@ -0,0 +1,24 @@
+AC_LIB_HAVE_LINKFLAGS(curl,,
+  [#include <curl/curl.h>],
+  [
+    CURL *handle;
+    handle=curl_easy_init();
+  ])
+AS_IF([test "x$ac_cv_libcurl" = "xno"],
+  AC_MSG_WARN([libcurl not working: not building auth_http plugin]),[
+  AC_CACHE_CHECK([if libcurl has CURLOPT_USERNAME],
+                 [drizzle_cv_curl_have_username],[
+     AC_COMPILE_IFELSE([
+       AC_LANG_PROGRAM(
+         [[
+           CURL *handle;
+           handle=curl_easy_init();
+           rv= curl_easy_setopt(curl_handle, CURLOPT_USERNAME, "foo");
+         ]])],
+       [drizzle_cv_curl_have_username=yes],
+       [drizzle_cv_curl_have_username=no])])
+  AS_IF([test "x$drizzle_cv_curl_have_username" = "xyes"],
+        AC_DEFINE([HAVE_CURLOPT_USERNAME],[1],
+                  [Does libcurl provide the CURLOPT_USERNAME constant]))
+
+  ])

=== renamed file 'plugin/auth_http/plug.in' => 'plugin/auth_http/plugin.ini'
--- plugin/auth_http/plug.in	2009-04-12 20:41:37 +0000
+++ plugin/auth_http/plugin.ini	2009-04-25 21:21:15 +0000
@@ -1,32 +1,7 @@
-DRIZZLE_PLUGIN(auth_http,[HTTP Authentication Plugin],
-        [HTTP based authentications])
-DRIZZLE_PLUGIN_DYNAMIC(auth_http, [libauth_http.la])
-DRIZZLE_PLUGIN_STATIC(auth_http, [libauth_http.a])
-DRIZZLE_PLUGIN_ACTIONS(auth_http, [
-  AC_LIB_HAVE_LINKFLAGS(curl,,
-    [#include <curl/curl.h>],
-    [
-      CURL *handle;
-      handle=curl_easy_init();
-    ])
-  AS_IF([test "x$ac_cv_libcurl" = "xno"],
-    AC_MSG_WARN([libcurl not working: not building auth_http plugin]),[
-    AC_CACHE_CHECK([if libcurl has CURLOPT_USERNAME],
-                       [drizzle_cv_curl_have_username],[
-       AC_COMPILE_IFELSE([
-         AC_LANG_PROGRAM(
-           [[
-            CURL *handle;
-            handle=curl_easy_init();
-            rv= curl_easy_setopt(curl_handle, CURLOPT_USERNAME, "foo");
-           ]])],
-         [drizzle_cv_curl_have_username=yes],
-         [drizzle_cv_curl_have_username=no])])
-    AS_IF([test "x$drizzle_cv_curl_have_username" = "xyes"],
-          AC_DEFINE([HAVE_CURLOPT_USERNAME],[1],
-                    [Does libcurl provide the CURLOPT_USERNAME constant]))
-
-    DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LIBCURL}"
-    ])
-  AM_CONDITIONAL(BUILD_AUTH_HTTP,[test "${ac_cv_libcurl}" = "yes"])
-])
+[plugin]
+name=auth_http
+title=HTTP Authentication Plugin
+description=HTTP based authentications
+sources=auth_http.cc
+build_conditional="${ac_cv_libcurl}" = "yes"
+ldflags=${LTLIBCURL}

=== removed file 'plugin/auth_pam/Makefile.am'
--- plugin/auth_pam/Makefile.am	2009-03-02 15:57:39 +0000
+++ plugin/auth_pam/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,22 +0,0 @@
-# Copyright (C) 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-if BUILD_AUTH_PAM
-EXTRA_LTLIBRARIES =	libauth_pam.la
-pkgplugin_LTLIBRARIES =	@plugin_auth_pam_shared_target@
-libauth_pam_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -lpam 
-libauth_pam_la_CPPFLAGS=	$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-libauth_pam_la_SOURCES =	auth_pam.cc
-endif

=== removed file 'plugin/auth_pam/configure.in'
--- plugin/auth_pam/configure.in	2008-08-03 22:14:59 +0000
+++ plugin/auth_pam/configure.in	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-AC_INIT(auth_pam, 0.1)
-AM_INIT_AUTOMAKE
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
-

=== added file 'plugin/auth_pam/plugin.ac'
--- plugin/auth_pam/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/auth_pam/plugin.ac	2009-04-26 16:53:32 +0000
@@ -0,0 +1,11 @@
+AC_LIB_HAVE_LINKFLAGS(pam,,
+  [#include <security/pam_appl.h>],
+  [
+    pam_start("service", "user",
+              (const struct pam_conv *)NULL,
+              (pam_handle_t **)NULL);
+  ])
+
+AS_IF([test "$ac_cv_libpam" = "no"],
+ [AC_MSG_WARN([Couldn't find PAM headers, pam_auth will not be built])])
+

=== renamed file 'plugin/auth_pam/plug.in' => 'plugin/auth_pam/plugin.ini'
--- plugin/auth_pam/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/auth_pam/plugin.ini	2009-04-26 16:53:32 +0000
@@ -1,10 +1,7 @@
-DRIZZLE_PLUGIN(auth_pam,[PAM Authenication Plugin],
-        [PAM based authenication.])
-DRIZZLE_PLUGIN_DYNAMIC(auth_pam,   [libauth_pam.la])
-DRIZZLE_PLUGIN_ACTIONS(auth_pam,  [
-  AC_CHECK_HEADERS(security/pam_appl.h)
-  AM_CONDITIONAL(BUILD_AUTH_PAM,[test "$ac_cv_header_security_pam_appl_h" = "yes"])
-  AS_IF([test "$ac_cv_header_security_pam_appl_h" = "no"],
-   [AC_MSG_WARN([Couldn't find PAM headers, pam_auth will not be built])])
-])
+[plugin]
+name=auth_pam
+title=PAM Authenication Plugin
+description=PAM based authenication.
+build_conditional="$ac_cv_libpam" = "yes"
+ldflags=${LTLIBPAM}
 

=== renamed directory 'storage/blackhole' => 'plugin/blackhole'
=== renamed file 'storage/blackhole/plug.in' => 'plugin/blackhole/plugin.ini'
--- storage/blackhole/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/blackhole/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,6 +1,6 @@
-DRIZZLE_STORAGE_ENGINE(blackhole,,[Blackhole Storage Engine],
-        [Basic Write-only Read-never tables], [max,max-no-ndb])
-DRIZZLE_PLUGIN_DIRECTORY(blackhole, [storage/blackhole])
-DRIZZLE_PLUGIN_STATIC(blackhole,  [libblackhole.a])
-DRIZZLE_PLUGIN_DYNAMIC(blackhole, [ha_blackhole.la])
-
+[plugin]
+name=blackhole
+title=Blackhole Storage Engine
+description=Basic Write-only Read-never tables
+sources=ha_blackhole.cc
+headers=ha_blackhole.h

=== removed file 'plugin/compression/Makefile.am'
--- plugin/compression/Makefile.am	2009-04-12 09:04:26 +0000
+++ plugin/compression/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,30 +0,0 @@
-# Copyright (C) 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-EXTRA_LTLIBRARIES=		libcompressionudf.la
-noinst_HEADERS=			compress.h uncompress.h uncompressed_length.h
-pkgplugin_LTLIBRARIES=		@plugin_compression_shared_target@
-libcompressionudf_la_LDFLAGS=	-module -avoid-version -rpath $(pkgplugindir)\
-				${LTLIBZ}
-libcompressionudf_la_CPPFLAGS=	$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-libcompressionudf_la_SOURCES=	compress.cc \
-				compressionudf.cc \
-				uncompress.cc \
-				uncompressed_length.cc
-
-
-EXTRA_LIBRARIES=		libcompressionudf.a
-noinst_LIBRARIES=		@plugin_compression_static_target@
-libcompressionudf_a_SOURCES=	$(libcompressionudf_la_SOURCES)

=== renamed file 'plugin/compression/plug.in' => 'plugin/compression/plugin.ini'
--- plugin/compression/plug.in	2009-04-12 08:14:18 +0000
+++ plugin/compression/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,5 +1,7 @@
-DRIZZLE_PLUGIN(compression,[compression UDFs],
-        [UDF Plugin for compression])
-DRIZZLE_PLUGIN_STATIC(compression,   [libcompressionudf.a])
-DRIZZLE_PLUGIN_MANDATORY(compression)  dnl Default
-DRIZZLE_PLUGIN_DYNAMIC(compression,   [libcompressionudf.la])
+[plugin]
+name=compression
+title=compression UDFs
+description=UDF Plugin for compression
+load_by_default=yes
+headers=compress.h uncompress.h uncompressed_length.h
+sources=compress.cc compressionudf.cc uncompress.cc uncompressed_length.cc

=== removed file 'plugin/crc32/Makefile.am'
--- plugin/crc32/Makefile.am	2009-03-02 15:57:39 +0000
+++ plugin/crc32/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,26 +0,0 @@
-# Copyright (C) 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-EXTRA_LTLIBRARIES =	libcrc32udf.la
-pkgplugin_LTLIBRARIES =	@plugin_crc32_shared_target@
-libcrc32udf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir)
-libcrc32udf_la_LIBADD =		$(LIBZ)
-libcrc32udf_la_CPPFLAGS=	$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-libcrc32udf_la_SOURCES =	crc32udf.cc
-
-
-EXTRA_LIBRARIES =	libcrc32udf.a
-noinst_LIBRARIES =	@plugin_crc32_static_target@
-libcrc32udf_a_SOURCES=	$(libcrc32udf_la_SOURCES)

=== removed file 'plugin/crc32/configure.in'
--- plugin/crc32/configure.in	2008-07-13 08:00:16 +0000
+++ plugin/crc32/configure.in	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-AC_INIT(crc32, 0.1)
-AM_INIT_AUTOMAKE
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
-

=== renamed file 'plugin/crc32/plug.in' => 'plugin/crc32/plugin.ini'
--- plugin/crc32/plug.in	2008-09-25 08:57:27 +0000
+++ plugin/crc32/plugin.ini	2009-04-17 00:14:28 +0000
@@ -1,5 +1,7 @@
-DRIZZLE_PLUGIN(crc32,[crc32 UDF],
-        [UDF Plugin for crc32])
-DRIZZLE_PLUGIN_STATIC(crc32,   [libcrc32udf.a])
-DRIZZLE_PLUGIN_MANDATORY(crc32)  dnl Default
-DRIZZLE_PLUGIN_DYNAMIC(crc32,   [libcrc32udf.la])
+[plugin]
+name=crc32
+title=crc32 UDF
+description=UDF Plugin for crc32
+load_by_default=yes
+sources=crc32udf.cc
+libadd=$(LIBZ)

=== renamed directory 'storage/csv' => 'plugin/csv'
=== modified file 'plugin/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2009-04-12 07:28:35 +0000
+++ plugin/csv/ha_tina.cc	2009-04-25 20:53:16 +0000
@@ -44,11 +44,12 @@
 #include <drizzled/field.h>
 #include <drizzled/field/blob.h>
 #include <drizzled/field/timestamp.h>
-#include <storage/csv/ha_tina.h>
 #include <drizzled/error.h>
 #include <drizzled/table.h>
 #include <drizzled/session.h>
 
+#include "ha_tina.h"
+
 #include <string>
 
 using namespace std;

=== renamed file 'storage/csv/plug.in' => 'plugin/csv/plugin.ini'
--- storage/csv/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/csv/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,5 +1,7 @@
-DRIZZLE_STORAGE_ENGINE(csv,,      [CSV Storage Engine],
-        [Stores tables in text CSV format])
-DRIZZLE_PLUGIN_DIRECTORY(csv,     [storage/csv])
-DRIZZLE_PLUGIN_STATIC(csv,        [libcsv.a])
-DRIZZLE_PLUGIN_MANDATORY(csv)     dnl Used for logging
+[plugin]
+name=csv
+title=CSV Storage Engine
+description=Stores tables in text CSV format
+load_by_default=yes
+sources=transparent_file.cc ha_tina.cc
+headers=ha_tina.h transparent_file.h

=== removed file 'plugin/errmsg_stderr/Makefile.am'
--- plugin/errmsg_stderr/Makefile.am	2009-03-02 15:57:39 +0000
+++ plugin/errmsg_stderr/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-
-
-EXTRA_LTLIBRARIES = liberrmsg_stderr.la
-pkgplugin_LTLIBRARIES =	@plugin_errmsg_stderr_shared_target@
-liberrmsg_stderr_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-liberrmsg_stderr_la_CPPFLAGS= $(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-liberrmsg_stderr_la_SOURCES = errmsg_stderr.cc

=== renamed file 'plugin/errmsg_stderr/plug.in' => 'plugin/errmsg_stderr/plugin.ini'
--- plugin/errmsg_stderr/plug.in	2008-10-17 20:35:11 +0000
+++ plugin/errmsg_stderr/plugin.ini	2009-04-25 22:38:28 +0000
@@ -1,3 +1,4 @@
-DRIZZLE_PLUGIN(errmsg_stderr,[Error Message Plugin],
-        [Errmsg Plugin that sends messages to stderr.])
-DRIZZLE_PLUGIN_DYNAMIC(errmsg_stderr, [liberrmsg_stderr.la])
+[plugin]
+name=errmsg_stderr
+title=Error Message Plugin
+description=Errmsg Plugin that sends messages to stderr.

=== renamed directory 'storage/heap' => 'plugin/heap'
=== modified file 'plugin/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2009-04-17 00:33:51 +0000
+++ plugin/heap/ha_heap.cc	2009-04-26 16:53:32 +0000
@@ -14,10 +14,6 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 #include <drizzled/server_includes.h>
-#include "heap.h"
-
-#include <storage/heap/ha_heap.h>
-#include <storage/heap/heapdef.h>
 #include <drizzled/error.h>
 #include <drizzled/table.h>
 #include <drizzled/session.h>
@@ -25,6 +21,10 @@
 #include <drizzled/field/timestamp.h>
 #include <drizzled/field/varstring.h>
 
+#include "heap.h"
+#include "ha_heap.h"
+#include "heapdef.h"
+
 #include <string>
 
 using namespace std;

=== modified file 'plugin/heap/heap.h'
--- storage/heap/heap.h	2009-03-28 03:32:31 +0000
+++ plugin/heap/heap.h	2009-04-25 06:33:32 +0000
@@ -27,7 +27,7 @@
 #include <mysys/my_pthread.h>
 #include <mysys/thr_lock.h>
 
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/my_tree.h>
 
 	/* defines used by heap-funktions */

=== renamed file 'storage/heap/Makefile.am' => 'plugin/heap/plugin.am'
--- storage/heap/Makefile.am	2009-03-21 20:48:43 +0000
+++ plugin/heap/plugin.am	2009-04-25 19:24:49 +0000
@@ -13,40 +13,36 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-LDADD =			libheap.la \
-			$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/strings/libmystrings.la
-
-noinst_LTLIBRARIES  =	libheap.la
-noinst_HEADERS =	heapdef.h ha_heap.h heap.h
-libheap_la_SOURCES= \
-			ha_heap.cc \
-			hp_block.cc \
-			hp_clear.cc \
-			hp_close.cc \
-			hp_create.cc \
-			hp_delete.cc \
-			hp_dspace.cc \
-			hp_extra.cc \
-			hp_hash.cc \
-			hp_info.cc \
-			hp_open.cc \
-			hp_panic.cc \
-			hp_record.cc \
-			hp_rectest.cc \
-			hp_rename.cc \
-			hp_rfirst.cc \
-			hp_rkey.cc \
-			hp_rlast.cc \
-			hp_rnext.cc \
-			hp_rprev.cc \
-			hp_rrnd.cc \
-			hp_rsame.cc \
-			hp_scan.cc \
-			hp_static.cc \
-			hp_update.cc \
-			hp_write.cc
-
-
-EXTRA_DIST =		plug.in
+noinst_LTLIBRARIES+=	plugin/heap/libheap.la
+noinst_HEADERS+= \
+			plugin/heap/ha_heap.h \
+			plugin/heap/heap.h \
+			plugin/heap/heapdef.h
+plugin_heap_libheap_la_SOURCES= \
+			plugin/heap/ha_heap.cc \
+			plugin/heap/hp_block.cc \
+			plugin/heap/hp_clear.cc \
+			plugin/heap/hp_close.cc \
+			plugin/heap/hp_create.cc \
+			plugin/heap/hp_delete.cc \
+			plugin/heap/hp_dspace.cc \
+			plugin/heap/hp_extra.cc \
+			plugin/heap/hp_hash.cc \
+			plugin/heap/hp_info.cc \
+			plugin/heap/hp_open.cc \
+			plugin/heap/hp_panic.cc \
+			plugin/heap/hp_record.cc \
+			plugin/heap/hp_rectest.cc \
+			plugin/heap/hp_rename.cc \
+			plugin/heap/hp_rfirst.cc \
+			plugin/heap/hp_rkey.cc \
+			plugin/heap/hp_rlast.cc \
+			plugin/heap/hp_rnext.cc \
+			plugin/heap/hp_rprev.cc \
+			plugin/heap/hp_rrnd.cc \
+			plugin/heap/hp_rsame.cc \
+			plugin/heap/hp_scan.cc \
+			plugin/heap/hp_static.cc \
+			plugin/heap/hp_update.cc \
+			plugin/heap/hp_write.cc
 

=== renamed file 'storage/heap/plug.in' => 'plugin/heap/plugin.ini'
--- storage/heap/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/heap/plugin.ini	2009-04-25 19:24:49 +0000
@@ -1,7 +1,8 @@
-DRIZZLE_STORAGE_ENGINE(heap,no,   [Memory Storage Engine],
-        [Volatile memory based tables])
-DRIZZLE_PLUGIN_DIRECTORY(heap,    [storage/heap])
-DRIZZLE_PLUGIN_STATIC(heap,       [libheap.la])
-DRIZZLE_PLUGIN_MANDATORY(heap)    dnl Memory tables
-DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS(heap, [ha_heap.cc])
+[plugin]
+name=heap
+title=Memory Storage Engine
+description=Volatile memory based tables
+sources=ha_heap.cc
+load_by_default=yes
+libs=plugin/heap/libheap.la mysys/libmysys.la mystrings/libmystrings.la
 

=== removed file 'plugin/hello_world/Makefile.am'
--- plugin/hello_world/Makefile.am	2008-12-20 23:44:07 +0000
+++ plugin/hello_world/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-# Copyright (C) 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-
-EXTRA_LTLIBRARIES =	libhello_world.la
-pkgplugin_LTLIBRARIES =	$(plugin_hello_world_shared_target)
-libhello_world_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir)
-libhello_world_la_CPPFLAGS=	$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-libhello_world_la_SOURCES =	hello_world.cc
-
-
-EXTRA_LIBRARIES =	libhello_world.a
-noinst_LIBRARIES =	$(plugin_hello_world_static_target)
-libhello_world_a_CPPFLAGS =	$(AM_CPPFLAGS)
-libhello_world_a_SOURCES=	hello_world.cc

=== removed file 'plugin/hello_world/configure.in'
--- plugin/hello_world/configure.in	2008-07-12 11:37:59 +0000
+++ plugin/hello_world/configure.in	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-AC_INIT(hello_world, 0.1)
-AM_INIT_AUTOMAKE
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
-

=== renamed file 'plugin/hello_world/plug.in' => 'plugin/hello_world/plugin.ini'
--- plugin/hello_world/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/hello_world/plugin.ini	2009-04-25 22:38:28 +0000
@@ -1,3 +1,5 @@
-DRIZZLE_PLUGIN(hello_world,[Daemon Example Plugin],
-        [UDF Plugin for Hello World.])
-DRIZZLE_PLUGIN_DYNAMIC(hello_world,   [libhello_world.la])
+[plugin]
+name=hello_world
+title=Example Plugin
+description=UDF Plugin for Hello World.
+load_by_default=yes

=== renamed directory 'storage/innobase' => 'plugin/innobase'
=== renamed file 'storage/innobase/plug.in' => 'plugin/innobase/plugin.ac'
--- storage/innobase/plug.in	2009-03-25 08:15:37 +0000
+++ plugin/innobase/plugin.ac	2009-04-20 14:42:34 +0000
@@ -14,14 +14,10 @@
 # Place, Suite 330, Boston, MA 02111-1307 USA
 #
 
-DRIZZLE_STORAGE_ENGINE(innobase,  innodb, [InnoDB Storage Engine],
-        [Transactional Tables using InnoDB], [max,max-no-ndb])
-DRIZZLE_PLUGIN_STATIC(innobase,   [libinnobase.la])
-DRIZZLE_PLUGIN_DYNAMIC(innobase,   [ha_innodb.la])
-DRIZZLE_PLUGIN_MANDATORY(innobase)  dnl Default
-DRIZZLE_PLUGIN_ACTIONS(innobase,  [
-  AC_PROG_LEX
-  AC_FUNC_MMAP
+AC_DEFUN([AC_INNODB_ACTIONS],[
+  AC_REQUIRE([AC_PROG_LEX])
+  AC_REQUIRE([AC_FUNC_MMAP])
+
   AC_CHECK_LIB(rt, aio_read, [innodb_system_libs="-lrt"])
   AC_SUBST(innodb_system_libs)
   AC_CHECK_HEADERS(aio.h sched.h)
@@ -82,4 +78,5 @@
     )
   ])
 
+AC_INNODB_ACTIONS
 # vim: set ft=config:

=== renamed file 'storage/innobase/Makefile.am' => 'plugin/innobase/plugin.am'
--- storage/innobase/Makefile.am	2009-03-22 08:04:21 +0000
+++ plugin/innobase/plugin.am	2009-04-20 14:42:34 +0000
@@ -14,177 +14,305 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
-AM_CPPFLAGS+=		-I$(top_srcdir)/storage/innobase/include
-DEFS+=			-DBUILD_DRIZZLE
-
-
-noinst_HEADERS=		include/btr0btr.h include/btr0btr.ic		\
-			include/btr0cur.h include/btr0cur.ic		\
-			include/btr0pcur.h include/btr0pcur.ic		\
-			include/btr0sea.h include/btr0sea.ic		\
-			include/btr0types.h include/buf0buddy.h		\
-			include/buf0buddy.ic include/buf0buf.h		\
-			include/buf0buf.ic include/buf0flu.h		\
-			include/buf0flu.ic include/buf0lru.h		\
-			include/buf0lru.ic include/buf0rea.h		\
-			include/buf0types.h include/data0data.h		\
-			include/data0data.ic include/data0type.h	\
-			include/data0type.ic include/data0types.h	\
-			include/db0err.h include/dict0boot.h		\
-			include/dict0boot.ic include/dict0crea.h	\
-			include/dict0crea.ic include/dict0dict.h	\
-			include/dict0dict.ic include/dict0load.h	\
-			include/dict0load.ic include/dict0mem.h		\
-			include/dict0mem.ic include/dict0types.h	\
-			include/dyn0dyn.h include/dyn0dyn.ic		\
-			include/eval0eval.h include/eval0eval.ic	\
-			include/eval0proc.h include/eval0proc.ic	\
-			include/fil0fil.h include/fsp0fsp.h		\
-			include/fsp0fsp.ic include/fut0fut.h		\
-			include/fut0fut.ic include/fut0lst.h		\
-			include/fut0lst.ic include/ha0ha.h		\
-			include/ha0ha.ic				\
-			include/ha0storage.h				\
-			include/ha0storage.ic				\
-			include/hash0hash.h				\
-			include/hash0hash.ic include/ibuf0ibuf.h	\
-			include/ibuf0ibuf.ic include/ibuf0types.h	\
-			include/lock0iter.h				\
-			include/lock0lock.h include/lock0lock.ic	\
-			include/lock0priv.h include/lock0priv.ic	\
-			include/lock0types.h include/log0log.h		\
-			include/log0log.ic include/log0recv.h		\
-			include/log0recv.ic include/mach0data.h		\
-			include/mach0data.ic include/mem0dbg.h		\
-			include/mem0dbg.ic mem/mem0dbg.c		\
-			include/mem0mem.h include/mem0mem.ic		\
-			include/mem0pool.h include/mem0pool.ic		\
-			include/mtr0log.h include/mtr0log.ic		\
-			include/mtr0mtr.h include/mtr0mtr.ic		\
-			include/mtr0types.h				\
-			include/mysql_addons.h				\
-			include/os0file.h				\
-			include/os0proc.h include/os0proc.ic		\
-			include/os0sync.h include/os0sync.ic		\
-			include/os0thread.h include/os0thread.ic	\
-			include/page0cur.h include/page0cur.ic		\
-			include/page0page.h include/page0page.ic	\
-			include/page0zip.h include/page0zip.ic		\
-			include/page0types.h include/pars0grm.h		\
-			include/pars0opt.h include/pars0opt.ic		\
-			include/pars0pars.h include/pars0pars.ic	\
-			include/pars0sym.h include/pars0sym.ic		\
-			include/pars0types.h include/que0que.h		\
-			include/que0que.ic include/que0types.h		\
-			include/read0read.h include/read0read.ic	\
-			include/read0types.h include/rem0cmp.h		\
-			include/rem0cmp.ic include/rem0rec.h		\
-			include/rem0rec.ic include/rem0types.h		\
-			include/row0ext.h include/row0ext.ic		\
-			include/row0ins.h include/row0ins.ic		\
-			include/row0merge.h				\
-			include/row0mysql.h include/row0mysql.ic	\
-			include/row0purge.h include/row0purge.ic	\
-			include/row0row.h include/row0row.ic		\
-			include/row0sel.h include/row0sel.ic		\
-			include/row0types.h include/row0uins.h		\
-			include/row0uins.ic include/row0umod.h		\
-			include/row0umod.ic include/row0undo.h		\
-			include/row0undo.ic include/row0upd.h		\
-			include/row0upd.ic include/row0vers.h		\
-			include/row0vers.ic include/srv0que.h		\
-			include/srv0srv.h include/srv0srv.ic		\
-			include/srv0start.h include/sync0arr.h		\
-			include/sync0arr.ic include/sync0rw.h		\
-			include/sync0rw.ic include/sync0sync.h		\
-			include/sync0sync.ic include/sync0types.h	\
-			include/thr0loc.h include/thr0loc.ic		\
-			include/trx0i_s.h				\
-			include/trx0purge.h include/trx0purge.ic	\
-			include/trx0rec.h include/trx0rec.ic		\
-			include/trx0roll.h include/trx0roll.ic		\
-			include/trx0rseg.h include/trx0rseg.ic		\
-			include/trx0sys.h include/trx0sys.ic		\
-			include/trx0trx.h include/trx0trx.ic		\
-			include/trx0types.h include/trx0undo.h		\
-			include/trx0undo.ic include/trx0xa.h		\
-			include/univ.i include/usr0sess.h		\
-			include/usr0sess.ic include/usr0types.h		\
-			include/ut0byte.h include/ut0byte.ic		\
-			include/ut0dbg.h include/ut0lst.h		\
-			include/ut0mem.h include/ut0mem.ic		\
-			include/ut0rnd.h include/ut0rnd.ic		\
-			include/ut0sort.h include/ut0ut.h		\
-			include/ut0ut.ic include/ut0vec.h		\
-			include/ut0vec.ic include/ut0list.h		\
-			include/ut0list.ic include/ut0wqueue.h		\
-			include/ha_prototypes.h				\
-			handler/ha_innodb.h				\
-			include/handler0alter.h				\
-			handler/handler0vars.h				\
-			handler/i_s.h
-
-noinst_LTLIBRARIES=	libinnobase.la libpars.la
-libinnobase_la_CFLAGS=	${AM_CFLAGS} ${NO_SHADOW}
-libinnobase_la_SOURCES=	btr/btr0btr.c btr/btr0cur.c btr/btr0pcur.c	\
-			btr/btr0sea.c buf/buf0buddy.c			\
-			buf/buf0buf.c buf/buf0flu.c			\
-			buf/buf0lru.c buf/buf0rea.c data/data0data.c	\
-			data/data0type.c dict/dict0boot.c		\
-			dict/dict0crea.c dict/dict0dict.c		\
-			dict/dict0load.c dict/dict0mem.c dyn/dyn0dyn.c	\
-			eval/eval0eval.c eval/eval0proc.c		\
-			fil/fil0fil.c fsp/fsp0fsp.c fut/fut0fut.c	\
-			fut/fut0lst.c ha/ha0ha.c			\
-			ha/ha0storage.c					\
-			ha/hash0hash.c					\
-			ibuf/ibuf0ibuf.c lock/lock0iter.c		\
-			lock/lock0lock.c				\
-			log/log0log.c log/log0recv.c mach/mach0data.c	\
-			mem/mem0mem.c mem/mem0pool.c mtr/mtr0log.c	\
-			mtr/mtr0mtr.c os/os0file.c os/os0proc.c		\
-			os/os0sync.c os/os0thread.c page/page0cur.c	\
-			page/page0page.c page/page0zip.c		\
-			pars/pars0opt.c pars/pars0pars.c		\
-			pars/pars0sym.c que/que0que.c read/read0read.c	\
-			rem/rem0cmp.c rem/rem0rec.c row/row0ext.c	\
-			row/row0ins.c row/row0merge.c			\
-			row/row0mysql.c row/row0purge.c row/row0row.c	\
-			row/row0sel.c row/row0uins.c row/row0umod.c	\
-			row/row0undo.c row/row0upd.c row/row0vers.c	\
-			srv/srv0que.c srv/srv0srv.c srv/srv0start.c	\
-			sync/sync0arr.c sync/sync0rw.c			\
-			sync/sync0sync.c thr/thr0loc.c			\
-			trx/trx0i_s.c					\
-			trx/trx0purge.c					\
-			trx/trx0rec.c trx/trx0roll.c trx/trx0rseg.c	\
-			trx/trx0sys.c trx/trx0trx.c trx/trx0undo.c	\
-			usr/usr0sess.c ut/ut0byte.c ut/ut0dbg.c		\
-			ut/ut0list.c ut/ut0mem.c ut/ut0rnd.c		\
-			ut/ut0ut.c ut/ut0vec.c ut/ut0wqueue.c		\
-			handler/ha_innodb.cc				\
-			handler/handler0alter.cc			\
-			handler/i_s.cc					\
-			handler/mysql_addons.cc
+noinst_HEADERS+=	plugin/innobase/include/btr0btr.h \
+			plugin/innobase/include/btr0btr.ic \
+			plugin/innobase/include/btr0cur.h \
+			plugin/innobase/include/btr0cur.ic \
+			plugin/innobase/include/btr0pcur.h \
+			plugin/innobase/include/btr0pcur.ic \
+			plugin/innobase/include/btr0sea.h \
+			plugin/innobase/include/btr0sea.ic \
+			plugin/innobase/include/btr0types.h \
+			plugin/innobase/include/buf0buddy.h \
+			plugin/innobase/include/buf0buddy.ic \
+			plugin/innobase/include/buf0buf.h \
+			plugin/innobase/include/buf0buf.ic \
+			plugin/innobase/include/buf0flu.h \
+			plugin/innobase/include/buf0flu.ic \
+			plugin/innobase/include/buf0lru.h \
+			plugin/innobase/include/buf0lru.ic \
+			plugin/innobase/include/buf0rea.h \
+			plugin/innobase/include/buf0types.h \
+			plugin/innobase/include/data0data.h \
+			plugin/innobase/include/data0data.ic \
+			plugin/innobase/include/data0type.h \
+			plugin/innobase/include/data0type.ic \
+			plugin/innobase/include/data0types.h \
+			plugin/innobase/include/db0err.h \
+			plugin/innobase/include/dict0boot.h \
+			plugin/innobase/include/dict0boot.ic \
+			plugin/innobase/include/dict0crea.h \
+			plugin/innobase/include/dict0crea.ic \
+			plugin/innobase/include/dict0dict.h \
+			plugin/innobase/include/dict0dict.ic \
+			plugin/innobase/include/dict0load.h \
+			plugin/innobase/include/dict0load.ic \
+			plugin/innobase/include/dict0mem.h \
+			plugin/innobase/include/dict0mem.ic \
+			plugin/innobase/include/dict0types.h \
+			plugin/innobase/include/dyn0dyn.h \
+			plugin/innobase/include/dyn0dyn.ic \
+			plugin/innobase/include/eval0eval.h \
+			plugin/innobase/include/eval0eval.ic \
+			plugin/innobase/include/eval0proc.h \
+			plugin/innobase/include/eval0proc.ic \
+			plugin/innobase/include/fil0fil.h \
+			plugin/innobase/include/fsp0fsp.h \
+			plugin/innobase/include/fsp0fsp.ic \
+			plugin/innobase/include/fut0fut.h \
+			plugin/innobase/include/fut0fut.ic \
+			plugin/innobase/include/fut0lst.h \
+			plugin/innobase/include/fut0lst.ic \
+			plugin/innobase/include/ha0ha.h \
+			plugin/innobase/include/ha0ha.ic \
+			plugin/innobase/include/ha0storage.h \
+			plugin/innobase/include/ha0storage.ic \
+			plugin/innobase/include/hash0hash.h \
+			plugin/innobase/include/hash0hash.ic \
+			plugin/innobase/include/ibuf0ibuf.h \
+			plugin/innobase/include/ibuf0ibuf.ic \
+			plugin/innobase/include/ibuf0types.h \
+			plugin/innobase/include/lock0iter.h \
+			plugin/innobase/include/lock0lock.h \
+			plugin/innobase/include/lock0lock.ic \
+			plugin/innobase/include/lock0priv.h \
+			plugin/innobase/include/lock0priv.ic \
+			plugin/innobase/include/lock0types.h \
+			plugin/innobase/include/log0log.h \
+			plugin/innobase/include/log0log.ic \
+			plugin/innobase/include/log0recv.h \
+			plugin/innobase/include/log0recv.ic \
+			plugin/innobase/include/mach0data.h \
+			plugin/innobase/include/mach0data.ic \
+			plugin/innobase/include/mem0dbg.h \
+			plugin/innobase/include/mem0dbg.ic \
+			plugin/innobase/include/mem0mem.h \
+			plugin/innobase/include/mem0mem.ic \
+			plugin/innobase/include/mem0pool.h \
+			plugin/innobase/include/mem0pool.ic \
+			plugin/innobase/include/mtr0log.h \
+			plugin/innobase/include/mtr0log.ic \
+			plugin/innobase/include/mtr0mtr.h \
+			plugin/innobase/include/mtr0mtr.ic \
+			plugin/innobase/include/mtr0types.h \
+			plugin/innobase/include/mysql_addons.h \
+			plugin/innobase/include/os0file.h \
+			plugin/innobase/include/os0proc.h \
+			plugin/innobase/include/os0proc.ic \
+			plugin/innobase/include/os0sync.h \
+			plugin/innobase/include/os0sync.ic \
+			plugin/innobase/include/os0thread.h \
+			plugin/innobase/include/os0thread.ic \
+			plugin/innobase/include/page0cur.h \
+			plugin/innobase/include/page0cur.ic \
+			plugin/innobase/include/page0page.h \
+			plugin/innobase/include/page0page.ic \
+			plugin/innobase/include/page0zip.h \
+			plugin/innobase/include/page0zip.ic \
+			plugin/innobase/include/page0types.h \
+			plugin/innobase/include/pars0grm.h \
+			plugin/innobase/include/pars0opt.h \
+			plugin/innobase/include/pars0opt.ic \
+			plugin/innobase/include/pars0pars.h \
+			plugin/innobase/include/pars0pars.ic \
+			plugin/innobase/include/pars0sym.h \
+			plugin/innobase/include/pars0sym.ic \
+			plugin/innobase/include/pars0types.h \
+			plugin/innobase/include/que0que.h \
+			plugin/innobase/include/que0que.ic \
+			plugin/innobase/include/que0types.h \
+			plugin/innobase/include/read0read.h \
+			plugin/innobase/include/read0read.ic \
+			plugin/innobase/include/read0types.h \
+			plugin/innobase/include/rem0cmp.h \
+			plugin/innobase/include/rem0cmp.ic \
+			plugin/innobase/include/rem0rec.h \
+			plugin/innobase/include/rem0rec.ic \
+			plugin/innobase/include/rem0types.h \
+			plugin/innobase/include/row0ext.h \
+			plugin/innobase/include/row0ext.ic \
+			plugin/innobase/include/row0ins.h \
+			plugin/innobase/include/row0ins.ic \
+			plugin/innobase/include/row0merge.h \
+			plugin/innobase/include/row0mysql.h \
+			plugin/innobase/include/row0mysql.ic \
+			plugin/innobase/include/row0purge.h \
+			plugin/innobase/include/row0purge.ic \
+			plugin/innobase/include/row0row.h \
+			plugin/innobase/include/row0row.ic \
+			plugin/innobase/include/row0sel.h \
+			plugin/innobase/include/row0sel.ic \
+			plugin/innobase/include/row0types.h \
+			plugin/innobase/include/row0uins.h \
+			plugin/innobase/include/row0uins.ic \
+			plugin/innobase/include/row0umod.h \
+			plugin/innobase/include/row0umod.ic \
+			plugin/innobase/include/row0undo.h \
+			plugin/innobase/include/row0undo.ic \
+			plugin/innobase/include/row0upd.h \
+			plugin/innobase/include/row0upd.ic \
+			plugin/innobase/include/row0vers.h \
+			plugin/innobase/include/row0vers.ic \
+			plugin/innobase/include/srv0que.h \
+			plugin/innobase/include/srv0srv.h \
+			plugin/innobase/include/srv0srv.ic \
+			plugin/innobase/include/srv0start.h \
+			plugin/innobase/include/sync0arr.h \
+			plugin/innobase/include/sync0arr.ic \
+			plugin/innobase/include/sync0rw.h \
+			plugin/innobase/include/sync0rw.ic \
+			plugin/innobase/include/sync0sync.h \
+			plugin/innobase/include/sync0sync.ic \
+			plugin/innobase/include/sync0types.h \
+			plugin/innobase/include/thr0loc.h \
+			plugin/innobase/include/thr0loc.ic \
+			plugin/innobase/include/trx0i_s.h \
+			plugin/innobase/include/trx0purge.h \
+			plugin/innobase/include/trx0purge.ic \
+			plugin/innobase/include/trx0rec.h \
+			plugin/innobase/include/trx0rec.ic \
+			plugin/innobase/include/trx0roll.h \
+			plugin/innobase/include/trx0roll.ic \
+			plugin/innobase/include/trx0rseg.h \
+			plugin/innobase/include/trx0rseg.ic \
+			plugin/innobase/include/trx0sys.h \
+			plugin/innobase/include/trx0sys.ic \
+			plugin/innobase/include/trx0trx.h \
+			plugin/innobase/include/trx0trx.ic \
+			plugin/innobase/include/trx0types.h \
+			plugin/innobase/include/trx0undo.h \
+			plugin/innobase/include/trx0undo.ic \
+			plugin/innobase/include/trx0xa.h \
+			plugin/innobase/include/univ.i \
+			plugin/innobase/include/usr0sess.h \
+			plugin/innobase/include/usr0sess.ic \
+			plugin/innobase/include/usr0types.h \
+			plugin/innobase/include/ut0byte.h \
+			plugin/innobase/include/ut0byte.ic \
+			plugin/innobase/include/ut0dbg.h \
+			plugin/innobase/include/ut0lst.h \
+			plugin/innobase/include/ut0mem.h \
+			plugin/innobase/include/ut0mem.ic \
+			plugin/innobase/include/ut0rnd.h \
+			plugin/innobase/include/ut0rnd.ic \
+			plugin/innobase/include/ut0sort.h \
+			plugin/innobase/include/ut0ut.h \
+			plugin/innobase/include/ut0ut.ic \
+			plugin/innobase/include/ut0vec.h \
+			plugin/innobase/include/ut0vec.ic \
+			plugin/innobase/include/ut0list.h \
+			plugin/innobase/include/ut0list.ic \
+			plugin/innobase/include/ut0wqueue.h \
+			plugin/innobase/include/ha_prototypes.h \
+			plugin/innobase/mem/mem0dbg.c \
+			plugin/innobase/handler/ha_innodb.h \
+			plugin/innobase/include/handler0alter.h \
+			plugin/innobase/handler/handler0vars.h \
+			plugin/innobase/handler/i_s.h
+
+noinst_LTLIBRARIES+=	plugin/innobase/libinnobase.la plugin/innobase/libpars.la
+plugin_innobase_libinnobase_la_CFLAGS=	${AM_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+plugin_innobase_libinnobase_la_CXXFLAGS=${AM_CXXFLAGS} ${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+plugin_innobase_libinnobase_la_SOURCES=	plugin/innobase/btr/btr0btr.c \
+			plugin/innobase/btr/btr0cur.c \
+			plugin/innobase/btr/btr0pcur.c \
+			plugin/innobase/btr/btr0sea.c \
+			plugin/innobase/buf/buf0buddy.c \
+			plugin/innobase/buf/buf0buf.c \
+			plugin/innobase/buf/buf0flu.c	\
+			plugin/innobase/buf/buf0lru.c \
+			plugin/innobase/buf/buf0rea.c \
+			plugin/innobase/data/data0data.c \
+			plugin/innobase/data/data0type.c \
+			plugin/innobase/dict/dict0boot.c \
+			plugin/innobase/dict/dict0crea.c \
+			plugin/innobase/dict/dict0dict.c \
+			plugin/innobase/dict/dict0load.c \
+			plugin/innobase/dict/dict0mem.c \
+			plugin/innobase/dyn/dyn0dyn.c	\
+			plugin/innobase/eval/eval0eval.c \
+			plugin/innobase/eval/eval0proc.c \
+			plugin/innobase/fil/fil0fil.c \
+			plugin/innobase/fsp/fsp0fsp.c \
+			plugin/innobase/fut/fut0fut.c	\
+			plugin/innobase/fut/fut0lst.c \
+			plugin/innobase/ha/ha0ha.c \
+			plugin/innobase/ha/ha0storage.c \
+			plugin/innobase/ha/hash0hash.c \
+			plugin/innobase/ibuf/ibuf0ibuf.c \
+			plugin/innobase/lock/lock0iter.c \
+			plugin/innobase/lock/lock0lock.c \
+			plugin/innobase/log/log0log.c \
+			plugin/innobase/log/log0recv.c \
+			plugin/innobase/mach/mach0data.c \
+			plugin/innobase/mem/mem0mem.c \
+			plugin/innobase/mem/mem0pool.c \
+			plugin/innobase/mtr/mtr0log.c	\
+			plugin/innobase/mtr/mtr0mtr.c \
+			plugin/innobase/os/os0file.c \
+			plugin/innobase/os/os0proc.c \
+			plugin/innobase/os/os0sync.c \
+			plugin/innobase/os/os0thread.c \
+			plugin/innobase/page/page0cur.c \
+			plugin/innobase/page/page0page.c \
+			plugin/innobase/page/page0zip.c \
+			plugin/innobase/pars/pars0opt.c \
+			plugin/innobase/pars/pars0pars.c \
+			plugin/innobase/pars/pars0sym.c \
+			plugin/innobase/que/que0que.c \
+			plugin/innobase/read/read0read.c \
+			plugin/innobase/rem/rem0cmp.c \
+			plugin/innobase/rem/rem0rec.c \
+			plugin/innobase/row/row0ext.c	\
+			plugin/innobase/row/row0ins.c \
+			plugin/innobase/row/row0merge.c \
+			plugin/innobase/row/row0mysql.c \
+			plugin/innobase/row/row0purge.c \
+			plugin/innobase/row/row0row.c	\
+			plugin/innobase/row/row0sel.c \
+			plugin/innobase/row/row0uins.c \
+			plugin/innobase/row/row0umod.c \
+			plugin/innobase/row/row0undo.c \
+			plugin/innobase/row/row0upd.c \
+			plugin/innobase/row/row0vers.c \
+			plugin/innobase/srv/srv0que.c \
+			plugin/innobase/srv/srv0srv.c \
+			plugin/innobase/srv/srv0start.c \
+			plugin/innobase/sync/sync0arr.c \
+			plugin/innobase/sync/sync0rw.c \
+			plugin/innobase/sync/sync0sync.c \
+			plugin/innobase/thr/thr0loc.c	\
+			plugin/innobase/trx/trx0i_s.c	\
+			plugin/innobase/trx/trx0purge.c \
+			plugin/innobase/trx/trx0rec.c \
+			plugin/innobase/trx/trx0roll.c \
+			plugin/innobase/trx/trx0rseg.c \
+			plugin/innobase/trx/trx0sys.c \
+			plugin/innobase/trx/trx0trx.c \
+			plugin/innobase/trx/trx0undo.c \
+			plugin/innobase/usr/usr0sess.c \
+			plugin/innobase/ut/ut0byte.c \
+			plugin/innobase/ut/ut0dbg.c \
+			plugin/innobase/ut/ut0list.c \
+			plugin/innobase/ut/ut0mem.c \
+			plugin/innobase/ut/ut0rnd.c \
+			plugin/innobase/ut/ut0ut.c \
+			plugin/innobase/ut/ut0vec.c \
+			plugin/innobase/ut/ut0wqueue.c
 
 # lexyy.c has lots of redundant decls, but it's generated anyway 
-libpars_la_CFLAGS=	${AM_CFLAGS} ${NO_UNREACHED} \
-			${NO_REDUNDANT_DECLS} ${NO_SHADOW}
-libpars_la_SOURCES= 	pars/lexyy.c pars/pars0grm.c
-
-libinnobase_la_LIBADD= libpars.la
-
-
-EXTRA_LTLIBRARIES=	ha_innodb.la
-pkgplugin_LTLIBRARIES=	@plugin_innobase_shared_target@
-
-ha_innodb_la_SOURCES=
-ha_innodb_la_LDFLAGS=	-module -avoid-version -rpath $(pkgplugindir)
-ha_innodb_la_CFLAGS=    ${AM_CFLAGS} ${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW}
-ha_innodb_la_CXXFLAGS=  ${AM_CXXFLAGS} ${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW}
-ha_innodb_la_LIBADD=	libinnobase.la
-
-EXTRA_DIST=		CMakeLists.txt plug.in \
-			pars/make_bison.sh pars/make_flex.sh \
-			pars/pars0grm.y pars/pars0lex.l
+plugin_innobase_libpars_la_CFLAGS=	${AM_CFLAGS} ${NO_UNREACHED} \
+			${NO_REDUNDANT_DECLS} ${NO_SHADOW} \
+			-I$(top_srcdir)/plugin/innobase/include \
+			-DBUILD_DRIZZLE
+plugin_innobase_libpars_la_SOURCES= 	plugin/innobase/pars/lexyy.c \
+			plugin/innobase/pars/pars0grm.c
+
+plugin_innobase_libinnobase_la_LIBADD=	plugin/innobase/libpars.la
+
+EXTRA_DIST+=		plugin/innobase/CMakeLists.txt \
+			plugin/innobase/pars/make_bison.sh \
+			plugin/innobase/pars/make_flex.sh \
+			plugin/innobase/pars/pars0grm.y \
+			plugin/innobase/pars/pars0lex.l
 

=== added file 'plugin/innobase/plugin.ini'
--- plugin/innobase/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/innobase/plugin.ini	2009-04-25 06:33:32 +0000
@@ -0,0 +1,30 @@
+#
+# Copyright (c) 2006, 2009, Innobase Oy. All Rights Reserved.
+# 
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation; version 2 of the License.
+# 
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+[plugin]
+name=innobase
+title=InnoDB Storage Engine
+description=Transactional Tables using InnoDB
+load_by_default=yes
+sources=handler/ha_innodb.cc
+  handler/handler0alter.cc
+  handler/i_s.cc
+  handler/mysql_addons.cc
+libs=plugin/innobase/libinnobase.la plugin/innobase/libpars.la
+cflags=${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+cxxflags=${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+#cflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE
+#cxxflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE

=== removed file 'plugin/logging_gearman/Makefile.am'
--- plugin/logging_gearman/Makefile.am	2009-04-02 23:20:11 +0000
+++ plugin/logging_gearman/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,25 +0,0 @@
-# Copyright (C) 2009 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-if BUILD_LOGGING_GEARMAN
-
-EXTRA_LTLIBRARIES = liblogging_gearman.la
-pkgplugin_LTLIBRARIES =	@plugin_logging_gearman_shared_target@
-liblogging_gearman_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-liblogging_gearman_la_LIBADD= ${LIBGEARMAN}
-liblogging_gearman_la_CPPFLAGS = ${AM_CPPFLAGS} -DDRIZZLE_DYNAMIC_PLUGIN
-liblogging_gearman_la_SOURCES = logging_gearman.cc
-
-endif

=== added file 'plugin/logging_gearman/plugin.ac'
--- plugin/logging_gearman/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/logging_gearman/plugin.ac	2009-04-19 08:10:59 +0000
@@ -0,0 +1,8 @@
+AC_LIB_HAVE_LINKFLAGS(gearman,,
+  [#include <libgearman/gearman.h>],
+  [
+     gearman_client_st gearman_client;
+  ])
+AS_IF([test "x$ac_cv_libgearman" = "xno"],
+      AC_MSG_WARN([libgearman not found: not building logging_gearman plugin]))
+DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LTLIBGEARMAN}"

=== renamed file 'plugin/logging_gearman/plug.in' => 'plugin/logging_gearman/plugin.ini'
--- plugin/logging_gearman/plug.in	2009-04-02 23:20:11 +0000
+++ plugin/logging_gearman/plugin.ini	2009-04-20 14:42:34 +0000
@@ -1,14 +1,7 @@
-DRIZZLE_PLUGIN(logging_gearman,[Gearman Logging Plugin],
-        [Logging Plugin that logs to Gearman.])
-DRIZZLE_PLUGIN_DYNAMIC(logging_gearman, [liblogging_gearman.la])
-DRIZZLE_PLUGIN_ACTIONS(logging_gearman, [
-AC_LIB_HAVE_LINKFLAGS(gearman,,
-  [#include <libgearman/gearman.h>],
-  [
-     gearman_client_st gearman_client;
-  ])
-  AS_IF([test "x$ac_cv_libgearman" = "xno"],
-        AC_MSG_WARN([libgearman not found: not building logging_gearman plugin]))
-  DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LIBGEARMAN}"
-  AM_CONDITIONAL(BUILD_LOGGING_GEARMAN,[test "${ac_cv_libgearman}" = "yes"])
-])    
+[plugin]
+name=logging_gearman
+title=Gearman Logging Plugin
+description=Logging Plugin that logs to Gearman.
+ldflags= ${LTLIBGEARMAN}
+sources= logging_gearman.cc
+build_conditional="${ac_cv_libgearman}" = "yes"

=== removed file 'plugin/logging_query/Makefile.am'
--- plugin/logging_query/Makefile.am	2009-03-02 15:57:39 +0000
+++ plugin/logging_query/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-EXTRA_LTLIBRARIES = liblogging_query.la
-pkgplugin_LTLIBRARIES =	@plugin_logging_query_shared_target@
-liblogging_query_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-liblogging_query_la_CPPFLAGS = $(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-liblogging_query_la_SOURCES = logging_query.cc
-
-EXTRA_LIBRARIES = liblogging_query.a
-noinst_LIBRARIES = @plugin_logging_query_static_target@
-liblogging_query_a_SOURCES = $(liblogging_query_la_SOURCES)

=== renamed file 'plugin/logging_query/plug.in' => 'plugin/logging_query/plugin.ini'
--- plugin/logging_query/plug.in	2009-01-27 23:50:20 +0000
+++ plugin/logging_query/plugin.ini	2009-04-26 00:27:35 +0000
@@ -1,5 +1,5 @@
-DRIZZLE_PLUGIN(logging_query,[Query Logging Plugin],
-        [Logging Plugin that logs all queries.])
-DRIZZLE_PLUGIN_DYNAMIC(logging_query, [liblogging_query.la])
-DRIZZLE_PLUGIN_STATIC(logging_query, [liblogging_query.a])
-DRIZZLE_PLUGIN_MANDATORY(logging_query)  dnl Default
+[plugin]
+name=logging_query
+title=Query Logging Plugin
+description=Logging Plugin that logs all queries.
+load_by_default=yes

=== removed file 'plugin/logging_syslog/Makefile.am'
--- plugin/logging_syslog/Makefile.am	2009-03-02 15:57:39 +0000
+++ plugin/logging_syslog/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,26 +0,0 @@
-# Copyright (C) 2009 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-
-noinst_HEADERS= names.h
-EXTRA_LTLIBRARIES = liblogging_syslog.la
-pkgplugin_LTLIBRARIES =	@plugin_logging_syslog_shared_target@
-liblogging_syslog_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-liblogging_syslog_la_CPPFLAGS = $(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-liblogging_syslog_la_SOURCES = logging_syslog.cc
-
-EXTRA_LIBRARIES = liblogging_syslog.a
-noinst_LIBRARIES = @plugin_logging_syslog_static_target@
-liblogging_syslog_a_SOURCES = $(liblogging_syslog_la_SOURCES)

=== renamed file 'plugin/logging_syslog/plug.in' => 'plugin/logging_syslog/plugin.ini'
--- plugin/logging_syslog/plug.in	2009-01-29 19:22:23 +0000
+++ plugin/logging_syslog/plugin.ini	2009-04-26 00:50:57 +0000
@@ -1,5 +1,5 @@
-DRIZZLE_PLUGIN(logging_syslog,[Syslog Logging Plugin],
-        [Logging Plugin that writes to syslog.])
-DRIZZLE_PLUGIN_DYNAMIC(logging_syslog, [liblogging_syslog.la])
-DRIZZLE_PLUGIN_STATIC(logging_syslog, [liblogging_syslog.a])
-DRIZZLE_PLUGIN_MANDATORY(logging_syslog)  dnl Default
+[plugin]
+name=logging_syslog
+title=Syslog Logging Plugin
+description=Logging Plugin that writes to syslog.
+load_by_default=yes

=== removed file 'plugin/md5/configure.in'
--- plugin/md5/configure.in	2008-07-13 06:56:15 +0000
+++ plugin/md5/configure.in	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-AC_INIT(md5, 0.1)
-AM_INIT_AUTOMAKE
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
-

=== renamed file 'plugin/md5/md5udf.cc' => 'plugin/md5/md5.cc'
=== added file 'plugin/md5/plugin.ac'
--- plugin/md5/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/md5/plugin.ac	2009-04-25 23:19:30 +0000
@@ -0,0 +1,8 @@
+AC_LIB_HAVE_LINKFLAGS(crypto,,
+  [#include <openssl/md5.h>],
+  [
+    MD5_CTX context;
+    MD5_Init (&context);
+  ])
+  AS_IF([test "x$ac_cv_libcrypto" = "xno"],
+        AC_MSG_WARN([MD5 not found in crypto lib: not building md5 plugin]))

=== renamed file 'plugin/md5/plug.in' => 'plugin/md5/plugin.ini'
--- plugin/md5/plug.in	2009-01-09 18:38:02 +0000
+++ plugin/md5/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,15 +1,7 @@
-DRIZZLE_PLUGIN(md5,[MD5 UDF], [UDF Plugin for MD5])
-DRIZZLE_PLUGIN_STATIC(md5, [libmd5udf.a])
-DRIZZLE_PLUGIN_DYNAMIC(md5, [libmd5udf.la])
-DRIZZLE_PLUGIN_ACTIONS(md5, [
-  AC_LIB_HAVE_LINKFLAGS(crypto,,
-    [#include <openssl/md5.h>],
-    [
-      MD5_CTX context;
-      MD5_Init (&context);
-    ])
-    AS_IF([test "x$ac_cv_libcrypto" = "xno"],
-          AC_MSG_WARN([MD5 not found in crypto lib: not building md5 plugin]))
-  DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LTLIBCRYPTO}"
-  AM_CONDITIONAL(BUILD_MD5_UDF,[test "${ac_cv_libcrypto}" = "yes"])
-])
+[plugin]
+name=md5
+title=UDF Plugin for MD5
+description=UDF Plugin for MD5
+load_by_default=yes
+ldflags=${LTLIBCRYPTO}
+build_conditional="${ac_cv_libcrypto}" = "yes"

=== removed file 'plugin/multi_thread/Makefile.am'
--- plugin/multi_thread/Makefile.am	2009-02-10 00:14:40 +0000
+++ plugin/multi_thread/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,20 +0,0 @@
-# Copyright (C) 2008 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-
-noinst_LTLIBRARIES= libmulti_thread.la
-libmulti_thread_la_SOURCES=	multi_thread.cc
-libmulti_thread_la_LIBADD=
-libsingle_thread_la_CXXFLAGS=	${AM_CXXFLAGS} ${NO_SHADOW}

=== renamed file 'plugin/multi_thread/plug.in' => 'plugin/multi_thread/plugin.ini'
--- plugin/multi_thread/plug.in	2009-02-10 00:14:40 +0000
+++ plugin/multi_thread/plugin.ini	2009-04-25 22:38:28 +0000
@@ -1,3 +1,5 @@
-DRIZZLE_PLUGIN(multi_thread,  [One Thread Per Connection Scheduler])
-DRIZZLE_PLUGIN_STATIC(multi_thread,   [libmulti_thread.la])
-DRIZZLE_PLUGIN_MANDATORY(multi_thread)  dnl Default
+[plugin]
+name=multi_thread
+title=Multi-Thread Scheduler
+description=One Thread Per Connection Scheduler
+load_by_default=yes

=== renamed directory 'storage/myisam' => 'plugin/myisam'
=== modified file 'plugin/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2009-03-24 18:13:47 +0000
+++ plugin/myisam/ha_myisam.h	2009-04-25 06:33:32 +0000
@@ -22,7 +22,7 @@
 
 /* class for the the myisam handler */
 
-#include <storage/myisam/myisam.h>
+#include <plugin/myisam/myisam.h>
 
 #define HA_RECOVER_NONE		0	/* No automatic recover */
 #define HA_RECOVER_DEFAULT	1	/* Automatic recover active */

=== modified file 'plugin/myisam/my_handler.cc'
--- storage/myisam/my_handler.cc	2009-03-21 20:32:38 +0000
+++ plugin/myisam/my_handler.cc	2009-04-25 06:33:32 +0000
@@ -21,7 +21,7 @@
 
 #include <mystrings/m_ctype.h>
 #include <drizzled/base.h>
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/my_sys.h>
 
 /**

=== modified file 'plugin/myisam/my_handler.h'
--- storage/myisam/my_handler.h	2009-03-30 18:27:35 +0000
+++ plugin/myisam/my_handler.h	2009-04-25 06:33:32 +0000
@@ -19,7 +19,7 @@
 #define _my_handler_h
 
 #include <mystrings/m_ctype.h>
-#include <storage/myisam/myisampack.h>
+#include <plugin/myisam/myisampack.h>
 #ifdef	__cplusplus
 extern "C" {
 #endif

=== modified file 'plugin/myisam/my_handler_errors.cc'
--- storage/myisam/my_handler_errors.cc	2009-03-21 20:32:38 +0000
+++ plugin/myisam/my_handler_errors.cc	2009-04-25 06:33:32 +0000
@@ -20,7 +20,7 @@
 #include <drizzled/global.h>
 #include <drizzled/base.h>
 #include <mysys/my_sys.h>
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 
 #include <drizzled/gettext.h>
 

=== modified file 'plugin/myisam/myisam.h'
--- storage/myisam/myisam.h	2009-04-25 18:00:37 +0000
+++ plugin/myisam/myisam.h	2009-04-26 16:53:32 +0000
@@ -31,7 +31,7 @@
 #ifndef _keycache_h
 #include "keycache.h"
 #endif
-#include <storage/myisam/my_handler.h>
+#include <plugin/myisam/my_handler.h>
 #include <mysys/iocache.h>
 
 /*

=== renamed file 'storage/myisam/Makefile.am' => 'plugin/myisam/plugin.am'
--- storage/myisam/Makefile.am	2009-03-30 18:27:35 +0000
+++ plugin/myisam/plugin.am	2009-04-25 06:33:32 +0000
@@ -1,86 +1,78 @@
-# Copyright (C) 2000-2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-LDADD=			libmyisamutil.la \
-			libmyisamnone.la \
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+noinst_LTLIBRARIES+=	plugin/myisam/libmyisam.la 
+noinst_HEADERS+=	\
+			plugin/myisam/ha_myisam.h \
+			plugin/myisam/keycache.h \
+			plugin/myisam/my_handler.h \
+			plugin/myisam/myisam.h \
+			plugin/myisam/myisamdef.h \
+			plugin/myisam/myisampack.h
+
+plugin_myisam_libmyisam_la_SOURCES= \
+			plugin/myisam/mf_keycache.cc \
+			plugin/myisam/mf_keycaches.cc \
+			plugin/myisam/mi_cache.cc \
+			plugin/myisam/mi_changed.cc \
+			plugin/myisam/mi_check.cc \
+			plugin/myisam/mi_checksum.cc \
+			plugin/myisam/mi_close.cc \
+			plugin/myisam/mi_create.cc\
+			plugin/myisam/mi_delete.cc \
+			plugin/myisam/mi_delete_all.cc \
+			plugin/myisam/mi_delete_table.cc \
+			plugin/myisam/mi_dynrec.cc \
+			plugin/myisam/mi_extra.cc \
+			plugin/myisam/mi_info.cc \
+			plugin/myisam/mi_key.cc \
+			plugin/myisam/mi_keycache.cc \
+			plugin/myisam/mi_locking.cc \
+			plugin/myisam/mi_open.cc \
+			plugin/myisam/mi_page.cc \
+			plugin/myisam/mi_panic.cc \
+			plugin/myisam/mi_preload.cc \
+			plugin/myisam/mi_range.cc \
+			plugin/myisam/mi_rename.cc \
+			plugin/myisam/mi_rfirst.cc \
+			plugin/myisam/mi_rkey.cc \
+			plugin/myisam/mi_rlast.cc \
+			plugin/myisam/mi_rnext.cc \
+			plugin/myisam/mi_rnext_same.cc \
+			plugin/myisam/mi_rprev.cc \
+			plugin/myisam/mi_rrnd.cc \
+			plugin/myisam/mi_rsame.cc \
+			plugin/myisam/mi_rsamepos.cc \
+			plugin/myisam/mi_scan.cc \
+			plugin/myisam/mi_search.cc \
+			plugin/myisam/mi_static.cc \
+			plugin/myisam/mi_statrec.cc \
+			plugin/myisam/mi_unique.cc \
+			plugin/myisam/mi_update.cc \
+			plugin/myisam/mi_write.cc \
+			plugin/myisam/my_handler.cc \
+			plugin/myisam/my_handler_errors.cc \
+			plugin/myisam/my_pread.cc \
+			plugin/myisam/sort.cc 
+
+nobase_bin_PROGRAMS+=	plugin/myisam/myisamchk
+plugin_myisam_myisamchk_SOURCES= \
+			plugin/myisam/mi_reportnone.cc \
+			plugin/myisam/myisamchk.cc
+plugin_myisam_myisamchk_LDADD=	\
+			plugin/myisam/libmyisam.la \
 			$(top_builddir)/mysys/libmysys.la \
 			$(top_builddir)/mystrings/libmystrings.la \
-			$(LIBZ) \
-			$(LIBINTL)
-
-EXTRA_DIST =		plug.in
-
-noinst_LTLIBRARIES =	libmyisam.la libmyisamutil.la \
-			libmyisamha.la libmyisamnone.la
-bin_PROGRAMS =		myisamchk
-
-noinst_HEADERS =	\
-			ha_myisam.h \
-			keycache.h \
-			my_handler.h \
-			myisam.h \
-			myisamdef.h \
-			myisampack.h
-
-libmyisamutil_la_SOURCES= \
-			mf_keycache.cc \
-			mf_keycaches.cc \
-			mi_cache.cc \
-			mi_changed.cc \
-			mi_check.cc \
-			mi_checksum.cc \
-			mi_close.cc \
-			mi_create.cc\
-			mi_delete.cc \
-			mi_delete_all.cc \
-			mi_delete_table.cc \
-			mi_dynrec.cc \
-			mi_extra.cc \
-			mi_info.cc \
-			mi_key.cc \
-			mi_keycache.cc \
-			mi_locking.cc \
-			mi_open.cc \
-			mi_page.cc \
-			mi_panic.cc \
-			mi_preload.cc \
-			mi_range.cc \
-			mi_rename.cc \
-			mi_rfirst.cc \
-			mi_rkey.cc \
-			mi_rlast.cc \
-			mi_rnext.cc \
-			mi_rnext_same.cc \
-			mi_rprev.cc \
-			mi_rrnd.cc \
-			mi_rsame.cc \
-			mi_rsamepos.cc \
-			mi_scan.cc \
-			mi_search.cc \
-			mi_static.cc \
-			mi_statrec.cc \
-			mi_unique.cc \
-			mi_update.cc \
-			mi_write.cc \
-			my_handler.cc \
-			my_handler_errors.cc \
-			my_pread.cc \
-			sort.cc 
-
-libmyisamha_la_SOURCES = ha_myisam.cc
-libmyisamnone_la_SOURCES = mi_reportnone.cc
-libmyisam_la_SOURCES = 
-libmyisam_la_LIBADD = libmyisamha.la libmyisamutil.la
-myisamchk_SOURCES = myisamchk.cc 
+			$(LIBZ)	$(LIBINTL)

=== renamed file 'storage/myisam/plug.in' => 'plugin/myisam/plugin.ini'
--- storage/myisam/plug.in	2008-08-12 21:13:01 +0000
+++ plugin/myisam/plugin.ini	2009-04-25 06:33:32 +0000
@@ -1,6 +1,23 @@
-DRIZZLE_STORAGE_ENGINE(myisam,no, [MyISAM Storage Engine],
-        [Traditional non-transactional MySQL tables])
-DRIZZLE_PLUGIN_DIRECTORY(myisam,  [storage/myisam])
-DRIZZLE_PLUGIN_STATIC(myisam,     [libmyisam.la])
-DRIZZLE_PLUGIN_MANDATORY(myisam)  dnl Default
-DRIZZLE_PLUGIN_DEPENDS_ON_DRIZZLE_INTERNALS(myisam, [ha_myisam.cc])
+#  Copyright (C) 2009 Sun Microsystems
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+[plugin]
+name=myisam
+title=MyISAM Storage Engine
+description=Legacy non-transactional MySQL tables
+load_by_default=yes
+sources=ha_myisam.cc
+libs=plugin/myisam/libmyisam.la mysys/libmysys.la mystrings/libmystrings.la
+ldflags=$(LIBZ) $(LIBINTL)

=== removed file 'plugin/oldlibdrizzle/Makefile.am'
--- plugin/oldlibdrizzle/Makefile.am	2009-04-09 01:11:00 +0000
+++ plugin/oldlibdrizzle/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-# Copyright (C) 2008 Sun Microsystems, Inc.
-# 
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 GNU General Public License as
-# published by the Free Software Foundation.
-#
-# There are special exceptions to the terms and conditions of the GPL as it
-# is applied to this software. View the full text of the exception in file
-# EXCEPTIONS-CLIENT in the directory of this software distribution.
-# 
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# Library General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-
-noinst_HEADERS =\
-		drizzle.h \
-		drizzle_data.h \
-		drizzle_field.h \
-		drizzle_methods.h \
-		drizzle_res.h \
-		drizzle_rows.h \
-		libdrizzle.h \
-		libdrizzle_priv.h \
-		oldlibdrizzle.h \
-		errmsg.h \
-		net_serv.h \
-		options.h \
-		pack.h \
-		password.h \
-		vio.h
-
-noinst_LTLIBRARIES= liboldlibdrizzle.la
-liboldlibdrizzle_la_SOURCES= \
-		client.cc \
-		drizzle.cc \
-		drizzle_data.cc \
-		errmsg.cc \
-		libdrizzle.cc \
-		oldlibdrizzle.cc \
-		libdrizzle_priv.cc \
-		net_serv.cc \
-		pack.cc \
-		password.cc \
-		vio.cc \
-		viosocket.cc
-
-liboldlibdrizzle_la_LIBADD = $(LIBZ)
-

=== renamed file 'plugin/oldlibdrizzle/plug.in' => 'plugin/oldlibdrizzle/plugin.ini'
--- plugin/oldlibdrizzle/plug.in	2009-04-07 18:04:13 +0000
+++ plugin/oldlibdrizzle/plugin.ini	2009-04-26 00:25:03 +0000
@@ -1,3 +1,9 @@
-DRIZZLE_PLUGIN(oldlibdrizzle,  [Old libdrizzle Protocol])
-DRIZZLE_PLUGIN_STATIC(oldlibdrizzle,   [liboldlibdrizzle.la])
-DRIZZLE_PLUGIN_MANDATORY(oldlibdrizzle)  dnl Default
+[plugin]
+name=oldlibdrizzle
+title=Old libdrizzle Protocol
+description=Old libdrizzle Protocol
+load_by_default=yes
+ldlfags=$(LIBZ)
+headers=drizzle.h drizzle_data.h drizzle_field.h drizzle_methods.h drizzle_res.h drizzle_rows.h libdrizzle.h libdrizzle_priv.h oldlibdrizzle.h errmsg.h net_serv.h options.h pack.h password.h vio.h
+sources=client.cc drizzle.cc drizzle_data.cc errmsg.cc libdrizzle.cc oldlibdrizzle.cc libdrizzle_priv.cc net_serv.cc pack.cc password.cc vio.cc viosocket.cc
+

=== removed file 'plugin/pool_of_threads/Makefile.am'
--- plugin/pool_of_threads/Makefile.am	2009-03-08 18:31:19 +0000
+++ plugin/pool_of_threads/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-# Copyright (C) 2008 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-
-noinst_HEADERS= session_scheduler.h
-noinst_LTLIBRARIES= libpool_of_threads.la
-libpool_of_threads_la_SOURCES=	pool_of_threads.cc session_scheduler.cc
-libpool_of_threads_la_LIBADD=
-libpool_of_threads_la_CXXFLAGS=	${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}

=== added file 'plugin/pool_of_threads/plugin.ac'
--- plugin/pool_of_threads/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/pool_of_threads/plugin.ac	2009-04-25 22:38:28 +0000
@@ -0,0 +1,12 @@
+AC_LIB_HAVE_LINKFLAGS(event,,
+  [
+  #include <sys/types.h>
+  #include <sys/time.h>
+  #include <stdlib.h>
+  #include <event.h>
+  ],[
+    struct bufferevent bev;
+    bufferevent_settimeout(&bev, 1, 1);
+    event_init();
+    event_loop(EVLOOP_ONCE);
+  ]) 

=== renamed file 'plugin/pool_of_threads/plug.in' => 'plugin/pool_of_threads/plugin.ini'
--- plugin/pool_of_threads/plug.in	2009-04-08 22:56:47 +0000
+++ plugin/pool_of_threads/plugin.ini	2009-04-25 23:19:30 +0000
@@ -1,24 +1,10 @@
-DRIZZLE_PLUGIN(pool_of_threads,  [Pool of Threads Scheduler])
-DRIZZLE_PLUGIN_STATIC(pool_of_threads,   [libpool_of_threads.la])
-DRIZZLE_PLUGIN_MANDATORY(pool_of_threads)  dnl Default
-DRIZZLE_PLUGIN_ACTIONS(pool_of_threads, [
-#--------------------------------------------------------------------
-# Check for libevent
-#--------------------------------------------------------------------
-
-  AC_LIB_HAVE_LINKFLAGS(event,,
-  [
-  #include <sys/types.h>
-  #include <sys/time.h>
-  #include <stdlib.h>
-  #include <event.h>
-  ],[
-    struct bufferevent bev;
-    bufferevent_settimeout(&bev, 1, 1);
-    event_init();
-    event_loop(EVLOOP_ONCE);
-  ]) 
-  AS_IF([test x$ac_cv_libevent = xno],
-      AC_MSG_ERROR([A recent libevent is required for Drizzle. Check http://www.monkey.org/~provos/libevent ]))
-  DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LTLIBEVENT}"
-])
+[plugin]
+name=pool_of_threads
+title=Pool of Threads Scheduler
+description=Pool of Threads Scheduler
+sources=pool_of_threads.cc session_scheduler.cc
+headers=session_scheduler.h
+load_by_default=yes
+cxxflags=${PROTOSKIP_WARNINGS}
+ldflags=${LTLIBEVENT}
+build_conditional="x$ac_cv_libevent" = "xyes"

=== removed file 'plugin/signal_handler/Makefile.am'
--- plugin/signal_handler/Makefile.am	2009-03-08 18:31:19 +0000
+++ plugin/signal_handler/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,20 +0,0 @@
-# Copyright (C) 2008 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-
-noinst_LTLIBRARIES= libsignal_handler.la
-libsignal_handler_la_SOURCES=	signal_handler.cc
-libsignal_handler_la_LIBADD=
-libsignal_handler_la_CXXFLAGS=	${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}

=== renamed file 'plugin/signal_handler/plug.in' => 'plugin/signal_handler/plugin.ini'
--- plugin/signal_handler/plug.in	2009-02-26 19:51:30 +0000
+++ plugin/signal_handler/plugin.ini	2009-04-25 22:38:28 +0000
@@ -1,3 +1,5 @@
-DRIZZLE_PLUGIN(signal_handler,  [Default Signal Handler])
-DRIZZLE_PLUGIN_STATIC(signal_handler,   [libsignal_handler.la])
-DRIZZLE_PLUGIN_MANDATORY(signal_handler)  dnl Default
+[plugin]
+name=signal_handler
+title=Default Signal Handler
+description=Default Signal Handler
+load_by_default=yes

=== removed file 'plugin/single_thread/Makefile.am'
--- plugin/single_thread/Makefile.am	2009-03-08 18:31:19 +0000
+++ plugin/single_thread/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,20 +0,0 @@
-# Copyright (C) 2008 Sun Microsystems
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-
-noinst_LTLIBRARIES= libsingle_thread.la
-libsingle_thread_la_SOURCES=	single_thread.cc
-libsingle_thread_la_LIBADD=
-libsingle_thread_la_CXXFLAGS=	${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}

=== renamed file 'plugin/single_thread/plug.in' => 'plugin/single_thread/plugin.ini'
--- plugin/single_thread/plug.in	2009-02-10 00:14:40 +0000
+++ plugin/single_thread/plugin.ini	2009-04-25 22:38:28 +0000
@@ -1,3 +1,5 @@
-DRIZZLE_PLUGIN(single_thread,  [Single Thread Scheduler])
-DRIZZLE_PLUGIN_STATIC(single_thread,   [libsingle_thread.la])
-DRIZZLE_PLUGIN_MANDATORY(single_thread)  dnl Default
+[plugin]
+name=single_thread
+title=Single Thread Scheduler
+description=Single Thread Scheduler
+load_by_default=yes

=== removed directory 'storage'
=== removed file 'storage/Makefile.am'
--- storage/Makefile.am	2008-11-07 05:45:40 +0000
+++ storage/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-# Copyright (C) 2005-2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-EXTRA_DIST =		
-SUBDIRS = @mysql_se_dirs@
-

=== removed file 'storage/blackhole/Makefile.am'
--- storage/blackhole/Makefile.am	2008-12-20 23:44:07 +0000
+++ storage/blackhole/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,32 +0,0 @@
-# Copyright (C) 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-LDADD =
-
-noinst_HEADERS =	ha_blackhole.h
-
-EXTRA_LTLIBRARIES =	ha_blackhole.la
-pkgplugin_LTLIBRARIES =	@plugin_blackhole_shared_target@
-ha_blackhole_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
-ha_blackhole_la_CXXFLAGS = $(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-ha_blackhole_la_SOURCES = ha_blackhole.cc
-
-
-EXTRA_LIBRARIES =	libblackhole.a
-noinst_LIBRARIES =	@plugin_blackhole_static_target@
-libblackhole_a_SOURCES =	ha_blackhole.cc
-
-
-EXTRA_DIST =		plug.in

=== removed file 'storage/csv/Makefile.am'
--- storage/csv/Makefile.am	2008-12-20 23:44:07 +0000
+++ storage/csv/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,29 +0,0 @@
-# Copyright (C) 2005-2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-
-noinst_HEADERS	  =	ha_tina.h transparent_file.h
-
-EXTRA_LTLIBRARIES =	ha_csv.la
-pkglib_LTLIBRARIES =	@plugin_csv_shared_target@
-ha_csv_la_LDFLAGS =	-module -avoid-version -rpath $(MYSQLLIBdir)
-ha_csv_la_CXXFLAGS =	$(AM_CXXFLAGS) -DDRIZZLE_PLUGIN
-ha_csv_la_SOURCES =	transparent_file.cc ha_tina.cc 
-
-EXTRA_LIBRARIES =	libcsv.a
-noinst_LIBRARIES =	@plugin_csv_static_target@
-libcsv_a_SOURCES =	transparent_file.cc ha_tina.cc
-
-EXTRA_DIST =		plug.in

